package models

import (
	"fmt"
)

var USERConfig UserConfig

func InitUserConfig() {
	USERConfig = UserConfig{
		Version: map[string]int64{
			UserConfigBSONCFGiftCode:          1,
			UserConfigBSONCFCurrency:          1,
			UserConfigBSONCFHero:              1,
			UserConfigBSONCFPet:               1,
			UserConfigBSONCFEquipment:         1,
			UserConfigBSONCFTechPart:          1,
			UserConfigBSONCFTalent:            1,
			UserConfigBSONCFCampaign:          1,
			UserConfigBSONCFBossMode:          1,
			UserConfigBSONCFDungeon:           1,
			UserConfigBSONCFExploration:       1,
			UserConfigBSONCFDailyReward:       1,
			UserConfigBSONCFDailyQuest:        1,
			UserConfigBSONCFWeeklyQuest:       1,
			UserConfigBSONCFAchievement:       1,
			UserConfigBSONCFRookieLogin:       1,
			UserConfigBSONCFQuest7Days:        1,
			UserConfigBSONCFShop:              1,
			UserConfigBSONCFDiscount:          1,
			UserConfigBSONCFMonthlyCard:       1,
			UserConfigBSONCFBattlePass:        1,
			UserConfigBSONCFLevelPass1:        1,
			UserConfigBSONCFLevelPass2:        1,
			UserConfigBSONCFCampaignPass:      1,
			UserConfigBSONCFDungeonPass:       1,
			UserConfigBSONCFGoldPiggy:         1,
			UserConfigBSONCFEventNewYear:      1,
			UserConfigBSONCFEventValentine:    1,
			UserConfigBSONCFEventAprilFool:    1,
			UserConfigBSONCFEventChildrenDay:  1,
			UserConfigBSONCFEventAutumnLeaves: 1,
			UserConfigBSONCFEventHalloween:    1,
			UserConfigBSONCFEventChristmas:    1,
			UserConfigBSONCFEventWorldCup:     1},
		CFGiftCode: map[string]*CFGiftCode{
			"HELLOBABY": {
				Code: "HELLOBABY", StartTime: 0, EndTime: 0,
				Reward: map[int64]int64{GiftNameGem: 1000, GiftNameGold: 10000, GiftNameMythChest: 10},
			},
		},
		CFCurrency: &CFCurrency{
			MaxEnergy:       50,
			MaxLevel:        100,
			EnergyRecover:   10 * 60 * 1000, // millisecond = 10minute
			ExpPassLevel:    map[int64]int64{1: 500, 2: 1500, 3: 2500, 4: 3750, 5: 5000, 6: 7500, 7: 10000, 8: 12500, 9: 15000, 10: 20000, 11: 50000, 12: 55000, 13: 60000, 14: 80000, 15: 80000, 16: 100000, 17: 100000, 18: 100000, 19: 100000, 20: 100000, 21: 150000, 22: 150000, 23: 150000, 24: 150000, 25: 150000, 26: 150000, 27: 175000, 28: 200000, 29: 200000, 30: 200000, 31: 200000, 32: 200000, 33: 200000, 34: 300000, 35: 300000, 36: 300000, 37: 300000, 38: 300000, 39: 300000, 40: 300000, 41: 300000, 42: 300000, 43: 300000, 44: 400000, 45: 400000, 46: 400000, 47: 400000, 48: 400000, 49: 400000, 50: 600000, 51: 600000, 52: 600000, 53: 600000, 54: 750000, 55: 750000, 56: 750000, 57: 750000, 58: 750000, 59: 750000, 60: 750000, 61: 750000, 62: 750000, 63: 750000, 64: 750000, 65: 750000, 66: 750000, 67: 850000, 68: 900000, 69: 900000, 70: 900000, 71: 900000, 72: 900000, 73: 900000, 74: 900000, 75: 900000, 76: 900000, 77: 900000, 78: 900000, 79: 900000, 80: 1000000, 81: 1200000, 82: 1200000, 83: 1200000, 84: 1200000, 85: 1200000, 86: 1200000, 87: 1200000, 88: 1200000, 89: 1200000, 90: 1200000, 91: 1200000, 92: 1200000, 93: 1200000, 94: 1200000, 95: 1200000, 96: 1200000, 97: 1200000, 98: 1200000, 99: 1200000, 100: 1300000},
			GemPassLevel:    50,
			EnergyPassLevel: 5,
		},
		CFHero: &CFHero{
			GemUnlock: map[int64]int64{
				1: 3000, 2: 3000, 3: 3000, 4: 5000, 5: 5000, 6: 5000, 7: 7000, 8: 7000, 9: 7000, 10: 10000, 11: 10000, 12: 10000},
			RarityUnlockLevel: map[int64]int64{
				1: 1, 2: 1, 3: 1, 4: 1, 5: 1, 6: 1, 7: 1, 8: 1, 9: 1, 10: 1, 11: 2, 12: 2, 13: 2, 14: 2, 15: 2, 16: 2, 17: 2, 18: 2, 19: 2, 20: 2, 21: 3, 22: 3, 23: 3, 24: 3, 25: 3, 26: 3, 27: 3, 28: 3, 29: 3, 30: 3, 31: 4, 32: 4, 33: 4, 34: 4, 35: 4, 36: 4, 37: 4, 38: 4, 39: 4, 40: 4, 41: 4, 42: 4, 43: 4, 44: 4, 45: 4, 46: 4, 47: 4, 48: 4, 49: 4, 50: 4, 51: 5, 52: 5, 53: 5, 54: 5, 55: 5, 56: 5, 57: 5, 58: 5, 59: 5, 60: 5, 61: 6, 62: 6, 63: 6, 64: 6, 65: 6, 66: 6, 67: 6, 68: 6, 69: 6, 70: 6, 71: 6, 72: 6, 73: 6, 74: 6, 75: 6, 76: 6, 77: 6, 78: 6, 79: 6, 80: 6, 81: 7, 82: 7, 83: 7, 84: 7, 85: 7, 86: 7, 87: 7, 88: 7, 89: 7, 90: 7, 91: 8, 92: 8, 93: 8, 94: 8, 95: 8, 96: 8, 97: 8, 98: 8, 99: 8, 100: 8, 101: 9, 102: 9, 103: 9, 104: 9, 105: 9, 106: 9, 107: 9, 108: 9, 109: 9, 110: 9, 111: 9, 112: 9, 113: 9, 114: 9, 115: 9, 116: 9, 117: 9, 118: 9, 119: 9, 120: 9, 121: 10, 122: 10, 123: 10, 124: 10, 125: 10, 126: 10, 127: 10, 128: 10, 129: 10, 130: 10, 131: 11, 132: 11, 133: 11, 134: 11, 135: 11, 136: 11, 137: 11, 138: 11, 139: 11, 140: 11, 141: 12, 142: 12, 143: 12, 144: 12, 145: 12, 146: 12, 147: 12, 148: 12, 149: 12, 150: 12, 151: 13, 152: 13, 153: 13, 154: 13, 155: 13, 156: 13, 157: 13, 158: 13, 159: 13, 160: 13, 161: 13, 162: 13, 163: 13, 164: 13, 165: 13, 166: 13, 167: 13, 168: 13, 169: 13, 170: 13, 171: 14, 172: 14, 173: 14, 174: 14, 175: 14, 176: 14, 177: 14, 178: 14, 179: 14, 180: 14, 181: 15, 182: 15, 183: 15, 184: 15, 185: 15, 186: 15, 187: 15, 188: 15, 189: 15, 190: 15, 191: 16, 192: 16, 193: 16, 194: 16, 195: 16, 196: 16, 197: 16, 198: 16, 199: 16, 200: 16, 201: 17, 202: 17, 203: 17, 204: 17, 205: 17, 206: 17, 207: 17, 208: 17, 209: 17, 210: 17, 211: 18, 212: 18, 213: 18, 214: 18, 215: 18, 216: 18, 217: 18, 218: 18, 219: 18, 220: 18},
			GoldUpgradeLevel: map[int64]int64{
				1: 0, 2: 1000, 3: 2000, 4: 3000, 5: 4000, 6: 5000, 7: 6000, 8: 7000, 9: 8000, 10: 9000, 11: 10000, 12: 11000, 13: 12000, 14: 13000, 15: 14000, 16: 15000, 17: 16000, 18: 17000, 19: 18000, 20: 19000, 21: 20000, 22: 21000, 23: 22000, 24: 23000, 25: 24000, 26: 25000, 27: 26000, 28: 27000, 29: 28000, 30: 29000, 31: 30000, 32: 31000, 33: 32000, 34: 33000, 35: 34000, 36: 35000, 37: 36000, 38: 37000, 39: 38000, 40: 39000, 41: 40000, 42: 41000, 43: 42000, 44: 43000, 45: 44000, 46: 45000, 47: 46000, 48: 47000, 49: 48000, 50: 49000, 51: 50000, 52: 51000, 53: 52000, 54: 53000, 55: 54000, 56: 55000, 57: 56000, 58: 57000, 59: 58000, 60: 59000, 61: 60000, 62: 61000, 63: 62000, 64: 63000, 65: 64000, 66: 65000, 67: 66000, 68: 67000, 69: 68000, 70: 69000, 71: 70000, 72: 71000, 73: 72000, 74: 73000, 75: 74000, 76: 75000, 77: 76000, 78: 77000, 79: 78000, 80: 79000, 81: 80000, 82: 81000, 83: 82000, 84: 83000, 85: 84000, 86: 85000, 87: 86000, 88: 87000, 89: 88000, 90: 89000, 91: 90000, 92: 91000, 93: 92000, 94: 93000, 95: 94000, 96: 95000, 97: 96000, 98: 97000, 99: 98000, 100: 99000, 101: 100000, 102: 101000, 103: 102000, 104: 103000, 105: 104000, 106: 105000, 107: 106000, 108: 107000, 109: 108000, 110: 109000, 111: 110000, 112: 111000, 113: 112000, 114: 113000, 115: 114000, 116: 115000, 117: 116000, 118: 117000, 119: 118000, 120: 119000, 121: 120000, 122: 121000, 123: 122000, 124: 123000, 125: 124000, 126: 125000, 127: 126000, 128: 127000, 129: 128000, 130: 129000, 131: 130000, 132: 131000, 133: 132000, 134: 133000, 135: 134000, 136: 135000, 137: 136000, 138: 137000, 139: 138000, 140: 139000, 141: 140000, 142: 141000, 143: 142000, 144: 143000, 145: 144000, 146: 145000, 147: 146000, 148: 147000, 149: 148000, 150: 149000, 151: 150000, 152: 151000, 153: 152000, 154: 153000, 155: 154000, 156: 155000, 157: 156000, 158: 157000, 159: 158000, 160: 159000, 161: 160000, 162: 161000, 163: 162000, 164: 163000, 165: 164000, 166: 165000, 167: 166000, 168: 167000, 169: 168000, 170: 169000, 171: 170000, 172: 171000, 173: 172000, 174: 173000, 175: 174000, 176: 175000, 177: 176000, 178: 177000, 179: 178000, 180: 179000, 181: 180000, 182: 181000, 183: 182000, 184: 183000, 185: 184000, 186: 185000, 187: 186000, 188: 187000, 189: 188000, 190: 189000, 191: 190000, 192: 191000, 193: 192000, 194: 193000, 195: 194000, 196: 195000, 197: 196000, 198: 197000, 199: 198000, 200: 199000, 201: 200000, 202: 201000, 203: 202000, 204: 203000, 205: 204000, 206: 205000, 207: 206000, 208: 207000, 209: 208000, 210: 209000, 211: 210000, 212: 211000, 213: 212000, 214: 213000, 215: 214000, 216: 215000, 217: 216000, 218: 217000, 219: 218000, 220: 219000},
			GemUpgradeRarity: map[int64]int64{
				1: 100, 2: 100, 3: 200, 4: 300, 5: 300, 6: 500, 7: 500, 8: 500, 9: 700, 10: 700, 11: 700, 12: 700, 13: 1000, 14: 1000, 15: 1000, 16: 1000, 17: 1000, 18: 1000},
			StoneUpgradeRarity: map[int64]int64{
				1: 10, 2: 10, 3: 20, 4: 30, 5: 30, 6: 50, 7: 50, 8: 50, 9: 70, 10: 70, 11: 70, 12: 70, 13: 100, 14: 100, 15: 100, 16: 100, 17: 100, 18: 100},
		},
		CFPet: &CFPet{
			GemUnlock: map[int64]int64{
				1: 3000, 2: 3000, 3: 3000, 4: 5000, 5: 5000, 6: 5000, 7: 7000, 8: 7000, 9: 7000, 10: 10000, 11: 10000, 12: 10000},
			RarityUnlockLevel: map[int64]int64{
				1: 1, 2: 1, 3: 1, 4: 1, 5: 1, 6: 1, 7: 1, 8: 1, 9: 1, 10: 1, 11: 2, 12: 2, 13: 2, 14: 2, 15: 2, 16: 2, 17: 2, 18: 2, 19: 2, 20: 2, 21: 3, 22: 3, 23: 3, 24: 3, 25: 3, 26: 3, 27: 3, 28: 3, 29: 3, 30: 3, 31: 4, 32: 4, 33: 4, 34: 4, 35: 4, 36: 4, 37: 4, 38: 4, 39: 4, 40: 4, 41: 4, 42: 4, 43: 4, 44: 4, 45: 4, 46: 4, 47: 4, 48: 4, 49: 4, 50: 4, 51: 5, 52: 5, 53: 5, 54: 5, 55: 5, 56: 5, 57: 5, 58: 5, 59: 5, 60: 5, 61: 6, 62: 6, 63: 6, 64: 6, 65: 6, 66: 6, 67: 6, 68: 6, 69: 6, 70: 6, 71: 6, 72: 6, 73: 6, 74: 6, 75: 6, 76: 6, 77: 6, 78: 6, 79: 6, 80: 6, 81: 7, 82: 7, 83: 7, 84: 7, 85: 7, 86: 7, 87: 7, 88: 7, 89: 7, 90: 7, 91: 8, 92: 8, 93: 8, 94: 8, 95: 8, 96: 8, 97: 8, 98: 8, 99: 8, 100: 8, 101: 9, 102: 9, 103: 9, 104: 9, 105: 9, 106: 9, 107: 9, 108: 9, 109: 9, 110: 9, 111: 9, 112: 9, 113: 9, 114: 9, 115: 9, 116: 9, 117: 9, 118: 9, 119: 9, 120: 9, 121: 10, 122: 10, 123: 10, 124: 10, 125: 10, 126: 10, 127: 10, 128: 10, 129: 10, 130: 10, 131: 11, 132: 11, 133: 11, 134: 11, 135: 11, 136: 11, 137: 11, 138: 11, 139: 11, 140: 11, 141: 12, 142: 12, 143: 12, 144: 12, 145: 12, 146: 12, 147: 12, 148: 12, 149: 12, 150: 12, 151: 13, 152: 13, 153: 13, 154: 13, 155: 13, 156: 13, 157: 13, 158: 13, 159: 13, 160: 13, 161: 13, 162: 13, 163: 13, 164: 13, 165: 13, 166: 13, 167: 13, 168: 13, 169: 13, 170: 13, 171: 14, 172: 14, 173: 14, 174: 14, 175: 14, 176: 14, 177: 14, 178: 14, 179: 14, 180: 14, 181: 15, 182: 15, 183: 15, 184: 15, 185: 15, 186: 15, 187: 15, 188: 15, 189: 15, 190: 15, 191: 16, 192: 16, 193: 16, 194: 16, 195: 16, 196: 16, 197: 16, 198: 16, 199: 16, 200: 16, 201: 17, 202: 17, 203: 17, 204: 17, 205: 17, 206: 17, 207: 17, 208: 17, 209: 17, 210: 17, 211: 18, 212: 18, 213: 18, 214: 18, 215: 18, 216: 18, 217: 18, 218: 18, 219: 18, 220: 18},
			GoldUpgradeLevel: map[int64]int64{
				1: 0, 2: 1000, 3: 2000, 4: 3000, 5: 4000, 6: 5000, 7: 6000, 8: 7000, 9: 8000, 10: 9000, 11: 10000, 12: 11000, 13: 12000, 14: 13000, 15: 14000, 16: 15000, 17: 16000, 18: 17000, 19: 18000, 20: 19000, 21: 20000, 22: 21000, 23: 22000, 24: 23000, 25: 24000, 26: 25000, 27: 26000, 28: 27000, 29: 28000, 30: 29000, 31: 30000, 32: 31000, 33: 32000, 34: 33000, 35: 34000, 36: 35000, 37: 36000, 38: 37000, 39: 38000, 40: 39000, 41: 40000, 42: 41000, 43: 42000, 44: 43000, 45: 44000, 46: 45000, 47: 46000, 48: 47000, 49: 48000, 50: 49000, 51: 50000, 52: 51000, 53: 52000, 54: 53000, 55: 54000, 56: 55000, 57: 56000, 58: 57000, 59: 58000, 60: 59000, 61: 60000, 62: 61000, 63: 62000, 64: 63000, 65: 64000, 66: 65000, 67: 66000, 68: 67000, 69: 68000, 70: 69000, 71: 70000, 72: 71000, 73: 72000, 74: 73000, 75: 74000, 76: 75000, 77: 76000, 78: 77000, 79: 78000, 80: 79000, 81: 80000, 82: 81000, 83: 82000, 84: 83000, 85: 84000, 86: 85000, 87: 86000, 88: 87000, 89: 88000, 90: 89000, 91: 90000, 92: 91000, 93: 92000, 94: 93000, 95: 94000, 96: 95000, 97: 96000, 98: 97000, 99: 98000, 100: 99000, 101: 100000, 102: 101000, 103: 102000, 104: 103000, 105: 104000, 106: 105000, 107: 106000, 108: 107000, 109: 108000, 110: 109000, 111: 110000, 112: 111000, 113: 112000, 114: 113000, 115: 114000, 116: 115000, 117: 116000, 118: 117000, 119: 118000, 120: 119000, 121: 120000, 122: 121000, 123: 122000, 124: 123000, 125: 124000, 126: 125000, 127: 126000, 128: 127000, 129: 128000, 130: 129000, 131: 130000, 132: 131000, 133: 132000, 134: 133000, 135: 134000, 136: 135000, 137: 136000, 138: 137000, 139: 138000, 140: 139000, 141: 140000, 142: 141000, 143: 142000, 144: 143000, 145: 144000, 146: 145000, 147: 146000, 148: 147000, 149: 148000, 150: 149000, 151: 150000, 152: 151000, 153: 152000, 154: 153000, 155: 154000, 156: 155000, 157: 156000, 158: 157000, 159: 158000, 160: 159000, 161: 160000, 162: 161000, 163: 162000, 164: 163000, 165: 164000, 166: 165000, 167: 166000, 168: 167000, 169: 168000, 170: 169000, 171: 170000, 172: 171000, 173: 172000, 174: 173000, 175: 174000, 176: 175000, 177: 176000, 178: 177000, 179: 178000, 180: 179000, 181: 180000, 182: 181000, 183: 182000, 184: 183000, 185: 184000, 186: 185000, 187: 186000, 188: 187000, 189: 188000, 190: 189000, 191: 190000, 192: 191000, 193: 192000, 194: 193000, 195: 194000, 196: 195000, 197: 196000, 198: 197000, 199: 198000, 200: 199000, 201: 200000, 202: 201000, 203: 202000, 204: 203000, 205: 204000, 206: 205000, 207: 206000, 208: 207000, 209: 208000, 210: 209000, 211: 210000, 212: 211000, 213: 212000, 214: 213000, 215: 214000, 216: 215000, 217: 216000, 218: 217000, 219: 218000, 220: 219000},
			GemUpgradeRarity: map[int64]int64{
				1: 100, 2: 100, 3: 200, 4: 300, 5: 300, 6: 500, 7: 500, 8: 500, 9: 700, 10: 700, 11: 700, 12: 700, 13: 1000, 14: 1000, 15: 1000, 16: 1000, 17: 1000, 18: 1000},
			PetPieceUpgradeRarity: map[int64]int64{
				1: 10, 2: 10, 3: 20, 4: 30, 5: 30, 6: 50, 7: 50, 8: 50, 9: 70, 10: 70, 11: 70, 12: 70, 13: 100, 14: 100, 15: 100, 16: 100, 17: 100, 18: 100},
		},
		CFEquipment: &CFEquipment{
			RarityUnlockLevel:       map[int64]int64{1: 1, 2: 1, 3: 1, 4: 1, 5: 1, 6: 1, 7: 1, 8: 1, 9: 1, 10: 1, 11: 2, 12: 2, 13: 2, 14: 2, 15: 2, 16: 2, 17: 2, 18: 2, 19: 2, 20: 2, 21: 3, 22: 3, 23: 3, 24: 3, 25: 3, 26: 3, 27: 3, 28: 3, 29: 3, 30: 3, 31: 4, 32: 4, 33: 4, 34: 4, 35: 4, 36: 4, 37: 4, 38: 4, 39: 4, 40: 4, 41: 4, 42: 4, 43: 4, 44: 4, 45: 4, 46: 4, 47: 4, 48: 4, 49: 4, 50: 4, 51: 5, 52: 5, 53: 5, 54: 5, 55: 5, 56: 5, 57: 5, 58: 5, 59: 5, 60: 5, 61: 6, 62: 6, 63: 6, 64: 6, 65: 6, 66: 6, 67: 6, 68: 6, 69: 6, 70: 6, 71: 6, 72: 6, 73: 6, 74: 6, 75: 6, 76: 6, 77: 6, 78: 6, 79: 6, 80: 6, 81: 7, 82: 7, 83: 7, 84: 7, 85: 7, 86: 7, 87: 7, 88: 7, 89: 7, 90: 7, 91: 8, 92: 8, 93: 8, 94: 8, 95: 8, 96: 8, 97: 8, 98: 8, 99: 8, 100: 8, 101: 9, 102: 9, 103: 9, 104: 9, 105: 9, 106: 9, 107: 9, 108: 9, 109: 9, 110: 9, 111: 9, 112: 9, 113: 9, 114: 9, 115: 9, 116: 9, 117: 9, 118: 9, 119: 9, 120: 9, 121: 10, 122: 10, 123: 10, 124: 10, 125: 10, 126: 10, 127: 10, 128: 10, 129: 10, 130: 10, 131: 11, 132: 11, 133: 11, 134: 11, 135: 11, 136: 11, 137: 11, 138: 11, 139: 11, 140: 11, 141: 12, 142: 12, 143: 12, 144: 12, 145: 12, 146: 12, 147: 12, 148: 12, 149: 12, 150: 12, 151: 13, 152: 13, 153: 13, 154: 13, 155: 13, 156: 13, 157: 13, 158: 13, 159: 13, 160: 13, 161: 13, 162: 13, 163: 13, 164: 13, 165: 13, 166: 13, 167: 13, 168: 13, 169: 13, 170: 13, 171: 14, 172: 14, 173: 14, 174: 14, 175: 14, 176: 14, 177: 14, 178: 14, 179: 14, 180: 14, 181: 15, 182: 15, 183: 15, 184: 15, 185: 15, 186: 15, 187: 15, 188: 15, 189: 15, 190: 15, 191: 16, 192: 16, 193: 16, 194: 16, 195: 16, 196: 16, 197: 16, 198: 16, 199: 16, 200: 16, 201: 17, 202: 17, 203: 17, 204: 17, 205: 17, 206: 17, 207: 17, 208: 17, 209: 17, 210: 17, 211: 18, 212: 18, 213: 18, 214: 18, 215: 18, 216: 18, 217: 18, 218: 18, 219: 18, 220: 18},
			GoldUpgradeLevel:        map[int64]int64{1: 0, 2: 1000, 3: 2000, 4: 3000, 5: 4000, 6: 5000, 7: 6000, 8: 7000, 9: 8000, 10: 9000, 11: 10000, 12: 11000, 13: 12000, 14: 13000, 15: 14000, 16: 15000, 17: 16000, 18: 17000, 19: 18000, 20: 19000, 21: 20000, 22: 21000, 23: 22000, 24: 23000, 25: 24000, 26: 25000, 27: 26000, 28: 27000, 29: 28000, 30: 29000, 31: 30000, 32: 31000, 33: 32000, 34: 33000, 35: 34000, 36: 35000, 37: 36000, 38: 37000, 39: 38000, 40: 39000, 41: 40000, 42: 41000, 43: 42000, 44: 43000, 45: 44000, 46: 45000, 47: 46000, 48: 47000, 49: 48000, 50: 49000, 51: 50000, 52: 51000, 53: 52000, 54: 53000, 55: 54000, 56: 55000, 57: 56000, 58: 57000, 59: 58000, 60: 59000, 61: 60000, 62: 61000, 63: 62000, 64: 63000, 65: 64000, 66: 65000, 67: 66000, 68: 67000, 69: 68000, 70: 69000, 71: 70000, 72: 71000, 73: 72000, 74: 73000, 75: 74000, 76: 75000, 77: 76000, 78: 77000, 79: 78000, 80: 79000, 81: 80000, 82: 81000, 83: 82000, 84: 83000, 85: 84000, 86: 85000, 87: 86000, 88: 87000, 89: 88000, 90: 89000, 91: 90000, 92: 91000, 93: 92000, 94: 93000, 95: 94000, 96: 95000, 97: 96000, 98: 97000, 99: 98000, 100: 99000, 101: 100000, 102: 101000, 103: 102000, 104: 103000, 105: 104000, 106: 105000, 107: 106000, 108: 107000, 109: 108000, 110: 109000, 111: 110000, 112: 111000, 113: 112000, 114: 113000, 115: 114000, 116: 115000, 117: 116000, 118: 117000, 119: 118000, 120: 119000, 121: 120000, 122: 121000, 123: 122000, 124: 123000, 125: 124000, 126: 125000, 127: 126000, 128: 127000, 129: 128000, 130: 129000, 131: 130000, 132: 131000, 133: 132000, 134: 133000, 135: 134000, 136: 135000, 137: 136000, 138: 137000, 139: 138000, 140: 139000, 141: 140000, 142: 141000, 143: 142000, 144: 143000, 145: 144000, 146: 145000, 147: 146000, 148: 147000, 149: 148000, 150: 149000, 151: 150000, 152: 151000, 153: 152000, 154: 153000, 155: 154000, 156: 155000, 157: 156000, 158: 157000, 159: 158000, 160: 159000, 161: 160000, 162: 161000, 163: 162000, 164: 163000, 165: 164000, 166: 165000, 167: 166000, 168: 167000, 169: 168000, 170: 169000, 171: 170000, 172: 171000, 173: 172000, 174: 173000, 175: 174000, 176: 175000, 177: 176000, 178: 177000, 179: 178000, 180: 179000, 181: 180000, 182: 181000, 183: 182000, 184: 183000, 185: 184000, 186: 185000, 187: 186000, 188: 187000, 189: 188000, 190: 189000, 191: 190000, 192: 191000, 193: 192000, 194: 193000, 195: 194000, 196: 195000, 197: 196000, 198: 197000, 199: 198000, 200: 199000, 201: 200000, 202: 201000, 203: 202000, 204: 203000, 205: 204000, 206: 205000, 207: 206000, 208: 207000, 209: 208000, 210: 209000, 211: 210000, 212: 211000, 213: 212000, 214: 213000, 215: 214000, 216: 215000, 217: 216000, 218: 217000, 219: 218000, 220: 219000},
			TotalGoldUpgradeLevel:   map[int64]int64{1: 0, 2: 1000, 3: 3000, 4: 6000, 5: 10000, 6: 15000, 7: 21000, 8: 28000, 9: 36000, 10: 45000, 11: 55000, 12: 66000, 13: 78000, 14: 91000, 15: 105000, 16: 120000, 17: 136000, 18: 153000, 19: 171000, 20: 190000, 21: 210000, 22: 231000, 23: 253000, 24: 276000, 25: 300000, 26: 325000, 27: 351000, 28: 378000, 29: 406000, 30: 435000, 31: 465000, 32: 496000, 33: 528000, 34: 561000, 35: 595000, 36: 630000, 37: 666000, 38: 703000, 39: 741000, 40: 780000, 41: 820000, 42: 861000, 43: 903000, 44: 946000, 45: 990000, 46: 1035000, 47: 1081000, 48: 1128000, 49: 1176000, 50: 1225000, 51: 1275000, 52: 1326000, 53: 1378000, 54: 1431000, 55: 1485000, 56: 1540000, 57: 1596000, 58: 1653000, 59: 1711000, 60: 1770000, 61: 1830000, 62: 1891000, 63: 1953000, 64: 2016000, 65: 2080000, 66: 2145000, 67: 2211000, 68: 2278000, 69: 2346000, 70: 2415000, 71: 2485000, 72: 2556000, 73: 2628000, 74: 2701000, 75: 2775000, 76: 2850000, 77: 2926000, 78: 3003000, 79: 3081000, 80: 3160000, 81: 3240000, 82: 3321000, 83: 3403000, 84: 3486000, 85: 3570000, 86: 3655000, 87: 3741000, 88: 3828000, 89: 3916000, 90: 4005000, 91: 4095000, 92: 4186000, 93: 4278000, 94: 4371000, 95: 4465000, 96: 4560000, 97: 4656000, 98: 4753000, 99: 4851000, 100: 4950000, 101: 5050000, 102: 5151000, 103: 5253000, 104: 5356000, 105: 5460000, 106: 5565000, 107: 5671000, 108: 5778000, 109: 5886000, 110: 5995000, 111: 6105000, 112: 6216000, 113: 6328000, 114: 6441000, 115: 6555000, 116: 6670000, 117: 6786000, 118: 6903000, 119: 7021000, 120: 7140000, 121: 7260000, 122: 7381000, 123: 7503000, 124: 7626000, 125: 7750000, 126: 7875000, 127: 8001000, 128: 8128000, 129: 8256000, 130: 8385000, 131: 8515000, 132: 8646000, 133: 8778000, 134: 8911000, 135: 9045000, 136: 9180000, 137: 9316000, 138: 9453000, 139: 9591000, 140: 9730000, 141: 9870000, 142: 10011000, 143: 10153000, 144: 10296000, 145: 10440000, 146: 10585000, 147: 10731000, 148: 10878000, 149: 11026000, 150: 11175000, 151: 11325000, 152: 11476000, 153: 11628000, 154: 11781000, 155: 11935000, 156: 12090000, 157: 12246000, 158: 12403000, 159: 12561000, 160: 12720000, 161: 12880000, 162: 13041000, 163: 13203000, 164: 13366000, 165: 13530000, 166: 13695000, 167: 13861000, 168: 14028000, 169: 14196000, 170: 14365000, 171: 14535000, 172: 14706000, 173: 14878000, 174: 15051000, 175: 15225000, 176: 15400000, 177: 15576000, 178: 15753000, 179: 15931000, 180: 16110000, 181: 16290000, 182: 16471000, 183: 16653000, 184: 16836000, 185: 17020000, 186: 17205000, 187: 17391000, 188: 17578000, 189: 17766000, 190: 17955000, 191: 18145000, 192: 18336000, 193: 18528000, 194: 18721000, 195: 18915000, 196: 19110000, 197: 19306000, 198: 19503000, 199: 19701000, 200: 19900000, 201: 20100000, 202: 20301000, 203: 20503000, 204: 20706000, 205: 20910000, 206: 21115000, 207: 21321000, 208: 21528000, 209: 21736000, 210: 21945000, 211: 22155000, 212: 22366000, 213: 22578000, 214: 22791000, 215: 23005000, 216: 23220000, 217: 23436000, 218: 23653000, 219: 23871000, 220: 24090000},
			DesignUpgradeLevel:      map[int64]int64{1: 0, 2: 1, 3: 2, 4: 3, 5: 4, 6: 5, 7: 6, 8: 7, 9: 8, 10: 9, 11: 10, 12: 11, 13: 12, 14: 13, 15: 14, 16: 15, 17: 16, 18: 17, 19: 18, 20: 19, 21: 20, 22: 21, 23: 22, 24: 23, 25: 24, 26: 25, 27: 26, 28: 27, 29: 28, 30: 29, 31: 30, 32: 31, 33: 32, 34: 33, 35: 34, 36: 35, 37: 36, 38: 37, 39: 38, 40: 39, 41: 40, 42: 41, 43: 42, 44: 43, 45: 44, 46: 45, 47: 46, 48: 47, 49: 48, 50: 49, 51: 50, 52: 51, 53: 52, 54: 53, 55: 54, 56: 55, 57: 56, 58: 57, 59: 58, 60: 59, 61: 60, 62: 61, 63: 62, 64: 63, 65: 64, 66: 65, 67: 66, 68: 67, 69: 68, 70: 69, 71: 70, 72: 71, 73: 72, 74: 73, 75: 74, 76: 75, 77: 76, 78: 77, 79: 78, 80: 79, 81: 80, 82: 81, 83: 82, 84: 83, 85: 84, 86: 85, 87: 86, 88: 87, 89: 88, 90: 89, 91: 90, 92: 91, 93: 92, 94: 93, 95: 94, 96: 95, 97: 96, 98: 97, 99: 98, 100: 99, 101: 100, 102: 101, 103: 102, 104: 103, 105: 104, 106: 105, 107: 106, 108: 107, 109: 108, 110: 109, 111: 110, 112: 111, 113: 112, 114: 113, 115: 114, 116: 115, 117: 116, 118: 117, 119: 118, 120: 119, 121: 120, 122: 121, 123: 122, 124: 123, 125: 124, 126: 125, 127: 126, 128: 127, 129: 128, 130: 129, 131: 130, 132: 131, 133: 132, 134: 133, 135: 134, 136: 135, 137: 136, 138: 137, 139: 138, 140: 139, 141: 140, 142: 141, 143: 142, 144: 143, 145: 144, 146: 145, 147: 146, 148: 147, 149: 148, 150: 149, 151: 150, 152: 151, 153: 152, 154: 153, 155: 154, 156: 155, 157: 156, 158: 157, 159: 158, 160: 159, 161: 160, 162: 161, 163: 162, 164: 163, 165: 164, 166: 165, 167: 166, 168: 167, 169: 168, 170: 169, 171: 170, 172: 171, 173: 172, 174: 173, 175: 174, 176: 175, 177: 176, 178: 177, 179: 178, 180: 179, 181: 180, 182: 181, 183: 182, 184: 183, 185: 184, 186: 185, 187: 186, 188: 187, 189: 188, 190: 189, 191: 190, 192: 191, 193: 192, 194: 193, 195: 194, 196: 195, 197: 196, 198: 197, 199: 198, 200: 199, 201: 200, 202: 201, 203: 202, 204: 203, 205: 204, 206: 205, 207: 206, 208: 207, 209: 208, 210: 209, 211: 210, 212: 211, 213: 212, 214: 213, 215: 214, 216: 215, 217: 216, 218: 217, 219: 218, 220: 219},
			TotalDesignUpgradeLevel: map[int64]int64{1: 0, 2: 1, 3: 3, 4: 6, 5: 10, 6: 15, 7: 21, 8: 28, 9: 36, 10: 45, 11: 55, 12: 66, 13: 78, 14: 91, 15: 105, 16: 120, 17: 136, 18: 153, 19: 171, 20: 190, 21: 210, 22: 231, 23: 253, 24: 276, 25: 300, 26: 325, 27: 351, 28: 378, 29: 406, 30: 435, 31: 465, 32: 496, 33: 528, 34: 561, 35: 595, 36: 630, 37: 666, 38: 703, 39: 741, 40: 780, 41: 820, 42: 861, 43: 903, 44: 946, 45: 990, 46: 1035, 47: 1081, 48: 1128, 49: 1176, 50: 1225, 51: 1275, 52: 1326, 53: 1378, 54: 1431, 55: 1485, 56: 1540, 57: 1596, 58: 1653, 59: 1711, 60: 1770, 61: 1830, 62: 1891, 63: 1953, 64: 2016, 65: 2080, 66: 2145, 67: 2211, 68: 2278, 69: 2346, 70: 2415, 71: 2485, 72: 2556, 73: 2628, 74: 2701, 75: 2775, 76: 2850, 77: 2926, 78: 3003, 79: 3081, 80: 3160, 81: 3240, 82: 3321, 83: 3403, 84: 3486, 85: 3570, 86: 3655, 87: 3741, 88: 3828, 89: 3916, 90: 4005, 91: 4095, 92: 4186, 93: 4278, 94: 4371, 95: 4465, 96: 4560, 97: 4656, 98: 4753, 99: 4851, 100: 4950, 101: 5050, 102: 5151, 103: 5253, 104: 5356, 105: 5460, 106: 5565, 107: 5671, 108: 5778, 109: 5886, 110: 5995, 111: 6105, 112: 6216, 113: 6328, 114: 6441, 115: 6555, 116: 6670, 117: 6786, 118: 6903, 119: 7021, 120: 7140, 121: 7260, 122: 7381, 123: 7503, 124: 7626, 125: 7750, 126: 7875, 127: 8001, 128: 8128, 129: 8256, 130: 8385, 131: 8515, 132: 8646, 133: 8778, 134: 8911, 135: 9045, 136: 9180, 137: 9316, 138: 9453, 139: 9591, 140: 9730, 141: 9870, 142: 10011, 143: 10153, 144: 10296, 145: 10440, 146: 10585, 147: 10731, 148: 10878, 149: 11026, 150: 11175, 151: 11325, 152: 11476, 153: 11628, 154: 11781, 155: 11935, 156: 12090, 157: 12246, 158: 12403, 159: 12561, 160: 12720, 161: 12880, 162: 13041, 163: 13203, 164: 13366, 165: 13530, 166: 13695, 167: 13861, 168: 14028, 169: 14196, 170: 14365, 171: 14535, 172: 14706, 173: 14878, 174: 15051, 175: 15225, 176: 15400, 177: 15576, 178: 15753, 179: 15931, 180: 16110, 181: 16290, 182: 16471, 183: 16653, 184: 16836, 185: 17020, 186: 17205, 187: 17391, 188: 17578, 189: 17766, 190: 17955, 191: 18145, 192: 18336, 193: 18528, 194: 18721, 195: 18915, 196: 19110, 197: 19306, 198: 19503, 199: 19701, 200: 19900, 201: 20100, 202: 20301, 203: 20503, 204: 20706, 205: 20910, 206: 21115, 207: 21321, 208: 21528, 209: 21736, 210: 21945, 211: 22155, 212: 22366, 213: 22578, 214: 22791, 215: 23005, 216: 23220, 217: 23436, 218: 23653, 219: 23871, 220: 24090},
		},
		CFTechPart: &CFTechPart{
			RarityUnlockLevel:         map[int64]int64{1: 1, 2: 1, 3: 1, 4: 1, 5: 1, 6: 1, 7: 1, 8: 1, 9: 1, 10: 1, 11: 2, 12: 2, 13: 2, 14: 2, 15: 2, 16: 2, 17: 2, 18: 2, 19: 2, 20: 2, 21: 3, 22: 3, 23: 3, 24: 3, 25: 3, 26: 3, 27: 3, 28: 3, 29: 3, 30: 3, 31: 4, 32: 4, 33: 4, 34: 4, 35: 4, 36: 4, 37: 4, 38: 4, 39: 4, 40: 4, 41: 4, 42: 4, 43: 4, 44: 4, 45: 4, 46: 4, 47: 4, 48: 4, 49: 4, 50: 4, 51: 5, 52: 5, 53: 5, 54: 5, 55: 5, 56: 5, 57: 5, 58: 5, 59: 5, 60: 5, 61: 6, 62: 6, 63: 6, 64: 6, 65: 6, 66: 6, 67: 6, 68: 6, 69: 6, 70: 6, 71: 6, 72: 6, 73: 6, 74: 6, 75: 6, 76: 6, 77: 6, 78: 6, 79: 6, 80: 6, 81: 7, 82: 7, 83: 7, 84: 7, 85: 7, 86: 7, 87: 7, 88: 7, 89: 7, 90: 7, 91: 8, 92: 8, 93: 8, 94: 8, 95: 8, 96: 8, 97: 8, 98: 8, 99: 8, 100: 8, 101: 9, 102: 9, 103: 9, 104: 9, 105: 9, 106: 9, 107: 9, 108: 9, 109: 9, 110: 9, 111: 9, 112: 9, 113: 9, 114: 9, 115: 9, 116: 9, 117: 9, 118: 9, 119: 9, 120: 9, 121: 10, 122: 10, 123: 10, 124: 10, 125: 10, 126: 10, 127: 10, 128: 10, 129: 10, 130: 10, 131: 11, 132: 11, 133: 11, 134: 11, 135: 11, 136: 11, 137: 11, 138: 11, 139: 11, 140: 11, 141: 12, 142: 12, 143: 12, 144: 12, 145: 12, 146: 12, 147: 12, 148: 12, 149: 12, 150: 12, 151: 13, 152: 13, 153: 13, 154: 13, 155: 13, 156: 13, 157: 13, 158: 13, 159: 13, 160: 13, 161: 13, 162: 13, 163: 13, 164: 13, 165: 13, 166: 13, 167: 13, 168: 13, 169: 13, 170: 13, 171: 14, 172: 14, 173: 14, 174: 14, 175: 14, 176: 14, 177: 14, 178: 14, 179: 14, 180: 14, 181: 15, 182: 15, 183: 15, 184: 15, 185: 15, 186: 15, 187: 15, 188: 15, 189: 15, 190: 15, 191: 16, 192: 16, 193: 16, 194: 16, 195: 16, 196: 16, 197: 16, 198: 16, 199: 16, 200: 16, 201: 17, 202: 17, 203: 17, 204: 17, 205: 17, 206: 17, 207: 17, 208: 17, 209: 17, 210: 17, 211: 18, 212: 18, 213: 18, 214: 18, 215: 18, 216: 18, 217: 18, 218: 18, 219: 18, 220: 18},
			GoldUpgradeLevel:          map[int64]int64{1: 0, 2: 1000, 3: 2000, 4: 3000, 5: 4000, 6: 5000, 7: 6000, 8: 7000, 9: 8000, 10: 9000, 11: 10000, 12: 11000, 13: 12000, 14: 13000, 15: 14000, 16: 15000, 17: 16000, 18: 17000, 19: 18000, 20: 19000, 21: 20000, 22: 21000, 23: 22000, 24: 23000, 25: 24000, 26: 25000, 27: 26000, 28: 27000, 29: 28000, 30: 29000, 31: 30000, 32: 31000, 33: 32000, 34: 33000, 35: 34000, 36: 35000, 37: 36000, 38: 37000, 39: 38000, 40: 39000, 41: 40000, 42: 41000, 43: 42000, 44: 43000, 45: 44000, 46: 45000, 47: 46000, 48: 47000, 49: 48000, 50: 49000, 51: 50000, 52: 51000, 53: 52000, 54: 53000, 55: 54000, 56: 55000, 57: 56000, 58: 57000, 59: 58000, 60: 59000, 61: 60000, 62: 61000, 63: 62000, 64: 63000, 65: 64000, 66: 65000, 67: 66000, 68: 67000, 69: 68000, 70: 69000, 71: 70000, 72: 71000, 73: 72000, 74: 73000, 75: 74000, 76: 75000, 77: 76000, 78: 77000, 79: 78000, 80: 79000, 81: 80000, 82: 81000, 83: 82000, 84: 83000, 85: 84000, 86: 85000, 87: 86000, 88: 87000, 89: 88000, 90: 89000, 91: 90000, 92: 91000, 93: 92000, 94: 93000, 95: 94000, 96: 95000, 97: 96000, 98: 97000, 99: 98000, 100: 99000, 101: 100000, 102: 101000, 103: 102000, 104: 103000, 105: 104000, 106: 105000, 107: 106000, 108: 107000, 109: 108000, 110: 109000, 111: 110000, 112: 111000, 113: 112000, 114: 113000, 115: 114000, 116: 115000, 117: 116000, 118: 117000, 119: 118000, 120: 119000, 121: 120000, 122: 121000, 123: 122000, 124: 123000, 125: 124000, 126: 125000, 127: 126000, 128: 127000, 129: 128000, 130: 129000, 131: 130000, 132: 131000, 133: 132000, 134: 133000, 135: 134000, 136: 135000, 137: 136000, 138: 137000, 139: 138000, 140: 139000, 141: 140000, 142: 141000, 143: 142000, 144: 143000, 145: 144000, 146: 145000, 147: 146000, 148: 147000, 149: 148000, 150: 149000, 151: 150000, 152: 151000, 153: 152000, 154: 153000, 155: 154000, 156: 155000, 157: 156000, 158: 157000, 159: 158000, 160: 159000, 161: 160000, 162: 161000, 163: 162000, 164: 163000, 165: 164000, 166: 165000, 167: 166000, 168: 167000, 169: 168000, 170: 169000, 171: 170000, 172: 171000, 173: 172000, 174: 173000, 175: 174000, 176: 175000, 177: 176000, 178: 177000, 179: 178000, 180: 179000, 181: 180000, 182: 181000, 183: 182000, 184: 183000, 185: 184000, 186: 185000, 187: 186000, 188: 187000, 189: 188000, 190: 189000, 191: 190000, 192: 191000, 193: 192000, 194: 193000, 195: 194000, 196: 195000, 197: 196000, 198: 197000, 199: 198000, 200: 199000, 201: 200000, 202: 201000, 203: 202000, 204: 203000, 205: 204000, 206: 205000, 207: 206000, 208: 207000, 209: 208000, 210: 209000, 211: 210000, 212: 211000, 213: 212000, 214: 213000, 215: 214000, 216: 215000, 217: 216000, 218: 217000, 219: 218000, 220: 219000},
			TotalGoldUpgradeLevel:     map[int64]int64{1: 0, 2: 1000, 3: 3000, 4: 6000, 5: 10000, 6: 15000, 7: 21000, 8: 28000, 9: 36000, 10: 45000, 11: 55000, 12: 66000, 13: 78000, 14: 91000, 15: 105000, 16: 120000, 17: 136000, 18: 153000, 19: 171000, 20: 190000, 21: 210000, 22: 231000, 23: 253000, 24: 276000, 25: 300000, 26: 325000, 27: 351000, 28: 378000, 29: 406000, 30: 435000, 31: 465000, 32: 496000, 33: 528000, 34: 561000, 35: 595000, 36: 630000, 37: 666000, 38: 703000, 39: 741000, 40: 780000, 41: 820000, 42: 861000, 43: 903000, 44: 946000, 45: 990000, 46: 1035000, 47: 1081000, 48: 1128000, 49: 1176000, 50: 1225000, 51: 1275000, 52: 1326000, 53: 1378000, 54: 1431000, 55: 1485000, 56: 1540000, 57: 1596000, 58: 1653000, 59: 1711000, 60: 1770000, 61: 1830000, 62: 1891000, 63: 1953000, 64: 2016000, 65: 2080000, 66: 2145000, 67: 2211000, 68: 2278000, 69: 2346000, 70: 2415000, 71: 2485000, 72: 2556000, 73: 2628000, 74: 2701000, 75: 2775000, 76: 2850000, 77: 2926000, 78: 3003000, 79: 3081000, 80: 3160000, 81: 3240000, 82: 3321000, 83: 3403000, 84: 3486000, 85: 3570000, 86: 3655000, 87: 3741000, 88: 3828000, 89: 3916000, 90: 4005000, 91: 4095000, 92: 4186000, 93: 4278000, 94: 4371000, 95: 4465000, 96: 4560000, 97: 4656000, 98: 4753000, 99: 4851000, 100: 4950000, 101: 5050000, 102: 5151000, 103: 5253000, 104: 5356000, 105: 5460000, 106: 5565000, 107: 5671000, 108: 5778000, 109: 5886000, 110: 5995000, 111: 6105000, 112: 6216000, 113: 6328000, 114: 6441000, 115: 6555000, 116: 6670000, 117: 6786000, 118: 6903000, 119: 7021000, 120: 7140000, 121: 7260000, 122: 7381000, 123: 7503000, 124: 7626000, 125: 7750000, 126: 7875000, 127: 8001000, 128: 8128000, 129: 8256000, 130: 8385000, 131: 8515000, 132: 8646000, 133: 8778000, 134: 8911000, 135: 9045000, 136: 9180000, 137: 9316000, 138: 9453000, 139: 9591000, 140: 9730000, 141: 9870000, 142: 10011000, 143: 10153000, 144: 10296000, 145: 10440000, 146: 10585000, 147: 10731000, 148: 10878000, 149: 11026000, 150: 11175000, 151: 11325000, 152: 11476000, 153: 11628000, 154: 11781000, 155: 11935000, 156: 12090000, 157: 12246000, 158: 12403000, 159: 12561000, 160: 12720000, 161: 12880000, 162: 13041000, 163: 13203000, 164: 13366000, 165: 13530000, 166: 13695000, 167: 13861000, 168: 14028000, 169: 14196000, 170: 14365000, 171: 14535000, 172: 14706000, 173: 14878000, 174: 15051000, 175: 15225000, 176: 15400000, 177: 15576000, 178: 15753000, 179: 15931000, 180: 16110000, 181: 16290000, 182: 16471000, 183: 16653000, 184: 16836000, 185: 17020000, 186: 17205000, 187: 17391000, 188: 17578000, 189: 17766000, 190: 17955000, 191: 18145000, 192: 18336000, 193: 18528000, 194: 18721000, 195: 18915000, 196: 19110000, 197: 19306000, 198: 19503000, 199: 19701000, 200: 19900000, 201: 20100000, 202: 20301000, 203: 20503000, 204: 20706000, 205: 20910000, 206: 21115000, 207: 21321000, 208: 21528000, 209: 21736000, 210: 21945000, 211: 22155000, 212: 22366000, 213: 22578000, 214: 22791000, 215: 23005000, 216: 23220000, 217: 23436000, 218: 23653000, 219: 23871000, 220: 24090000},
			TechUsedUpgradeLevel:      map[int64]int64{1: 0, 2: 1, 3: 2, 4: 3, 5: 4, 6: 5, 7: 6, 8: 7, 9: 8, 10: 9, 11: 10, 12: 11, 13: 12, 14: 13, 15: 14, 16: 15, 17: 16, 18: 17, 19: 18, 20: 19, 21: 20, 22: 21, 23: 22, 24: 23, 25: 24, 26: 25, 27: 26, 28: 27, 29: 28, 30: 29, 31: 30, 32: 31, 33: 32, 34: 33, 35: 34, 36: 35, 37: 36, 38: 37, 39: 38, 40: 39, 41: 40, 42: 41, 43: 42, 44: 43, 45: 44, 46: 45, 47: 46, 48: 47, 49: 48, 50: 49, 51: 50, 52: 51, 53: 52, 54: 53, 55: 54, 56: 55, 57: 56, 58: 57, 59: 58, 60: 59, 61: 60, 62: 61, 63: 62, 64: 63, 65: 64, 66: 65, 67: 66, 68: 67, 69: 68, 70: 69, 71: 70, 72: 71, 73: 72, 74: 73, 75: 74, 76: 75, 77: 76, 78: 77, 79: 78, 80: 79, 81: 80, 82: 81, 83: 82, 84: 83, 85: 84, 86: 85, 87: 86, 88: 87, 89: 88, 90: 89, 91: 90, 92: 91, 93: 92, 94: 93, 95: 94, 96: 95, 97: 96, 98: 97, 99: 98, 100: 99, 101: 100, 102: 101, 103: 102, 104: 103, 105: 104, 106: 105, 107: 106, 108: 107, 109: 108, 110: 109, 111: 110, 112: 111, 113: 112, 114: 113, 115: 114, 116: 115, 117: 116, 118: 117, 119: 118, 120: 119, 121: 120, 122: 121, 123: 122, 124: 123, 125: 124, 126: 125, 127: 126, 128: 127, 129: 128, 130: 129, 131: 130, 132: 131, 133: 132, 134: 133, 135: 134, 136: 135, 137: 136, 138: 137, 139: 138, 140: 139, 141: 140, 142: 141, 143: 142, 144: 143, 145: 144, 146: 145, 147: 146, 148: 147, 149: 148, 150: 149, 151: 150, 152: 151, 153: 152, 154: 153, 155: 154, 156: 155, 157: 156, 158: 157, 159: 158, 160: 159, 161: 160, 162: 161, 163: 162, 164: 163, 165: 164, 166: 165, 167: 166, 168: 167, 169: 168, 170: 169, 171: 170, 172: 171, 173: 172, 174: 173, 175: 174, 176: 175, 177: 176, 178: 177, 179: 178, 180: 179, 181: 180, 182: 181, 183: 182, 184: 183, 185: 184, 186: 185, 187: 186, 188: 187, 189: 188, 190: 189, 191: 190, 192: 191, 193: 192, 194: 193, 195: 194, 196: 195, 197: 196, 198: 197, 199: 198, 200: 199, 201: 200, 202: 201, 203: 202, 204: 203, 205: 204, 206: 205, 207: 206, 208: 207, 209: 208, 210: 209, 211: 210, 212: 211, 213: 212, 214: 213, 215: 214, 216: 215, 217: 216, 218: 217, 219: 218, 220: 219},
			TotalTechUsedUpgradeLevel: map[int64]int64{1: 0, 2: 1, 3: 3, 4: 6, 5: 10, 6: 15, 7: 21, 8: 28, 9: 36, 10: 45, 11: 55, 12: 66, 13: 78, 14: 91, 15: 105, 16: 120, 17: 136, 18: 153, 19: 171, 20: 190, 21: 210, 22: 231, 23: 253, 24: 276, 25: 300, 26: 325, 27: 351, 28: 378, 29: 406, 30: 435, 31: 465, 32: 496, 33: 528, 34: 561, 35: 595, 36: 630, 37: 666, 38: 703, 39: 741, 40: 780, 41: 820, 42: 861, 43: 903, 44: 946, 45: 990, 46: 1035, 47: 1081, 48: 1128, 49: 1176, 50: 1225, 51: 1275, 52: 1326, 53: 1378, 54: 1431, 55: 1485, 56: 1540, 57: 1596, 58: 1653, 59: 1711, 60: 1770, 61: 1830, 62: 1891, 63: 1953, 64: 2016, 65: 2080, 66: 2145, 67: 2211, 68: 2278, 69: 2346, 70: 2415, 71: 2485, 72: 2556, 73: 2628, 74: 2701, 75: 2775, 76: 2850, 77: 2926, 78: 3003, 79: 3081, 80: 3160, 81: 3240, 82: 3321, 83: 3403, 84: 3486, 85: 3570, 86: 3655, 87: 3741, 88: 3828, 89: 3916, 90: 4005, 91: 4095, 92: 4186, 93: 4278, 94: 4371, 95: 4465, 96: 4560, 97: 4656, 98: 4753, 99: 4851, 100: 4950, 101: 5050, 102: 5151, 103: 5253, 104: 5356, 105: 5460, 106: 5565, 107: 5671, 108: 5778, 109: 5886, 110: 5995, 111: 6105, 112: 6216, 113: 6328, 114: 6441, 115: 6555, 116: 6670, 117: 6786, 118: 6903, 119: 7021, 120: 7140, 121: 7260, 122: 7381, 123: 7503, 124: 7626, 125: 7750, 126: 7875, 127: 8001, 128: 8128, 129: 8256, 130: 8385, 131: 8515, 132: 8646, 133: 8778, 134: 8911, 135: 9045, 136: 9180, 137: 9316, 138: 9453, 139: 9591, 140: 9730, 141: 9870, 142: 10011, 143: 10153, 144: 10296, 145: 10440, 146: 10585, 147: 10731, 148: 10878, 149: 11026, 150: 11175, 151: 11325, 152: 11476, 153: 11628, 154: 11781, 155: 11935, 156: 12090, 157: 12246, 158: 12403, 159: 12561, 160: 12720, 161: 12880, 162: 13041, 163: 13203, 164: 13366, 165: 13530, 166: 13695, 167: 13861, 168: 14028, 169: 14196, 170: 14365, 171: 14535, 172: 14706, 173: 14878, 174: 15051, 175: 15225, 176: 15400, 177: 15576, 178: 15753, 179: 15931, 180: 16110, 181: 16290, 182: 16471, 183: 16653, 184: 16836, 185: 17020, 186: 17205, 187: 17391, 188: 17578, 189: 17766, 190: 17955, 191: 18145, 192: 18336, 193: 18528, 194: 18721, 195: 18915, 196: 19110, 197: 19306, 198: 19503, 199: 19701, 200: 19900, 201: 20100, 202: 20301, 203: 20503, 204: 20706, 205: 20910, 206: 21115, 207: 21321, 208: 21528, 209: 21736, 210: 21945, 211: 22155, 212: 22366, 213: 22578, 214: 22791, 215: 23005, 216: 23220, 217: 23436, 218: 23653, 219: 23871, 220: 24090},
		},
		CFTalent: &CFTalent{
			LevelUnlockNormal: map[int64]int64{
				1: 1, 2: 1, 3: 1, 4: 2, 5: 2, 6: 2, 7: 3, 8: 3, 9: 3, 10: 4, 11: 4, 12: 4, 13: 5, 14: 5, 15: 5, 16: 6, 17: 6, 18: 6, 19: 7, 20: 7, 21: 7, 22: 8, 23: 8, 24: 8, 25: 9, 26: 9, 27: 9, 28: 10, 29: 10, 30: 10, 31: 11, 32: 11, 33: 11, 34: 12, 35: 12, 36: 12, 37: 13, 38: 13, 39: 13, 40: 14, 41: 14, 42: 14, 43: 15, 44: 15, 45: 15, 46: 16, 47: 16, 48: 16, 49: 17, 50: 17, 51: 17, 52: 18, 53: 18, 54: 18, 55: 19, 56: 19, 57: 19, 58: 20, 59: 20, 60: 20, 61: 21, 62: 21, 63: 21, 64: 22, 65: 22, 66: 22, 67: 23, 68: 23, 69: 23, 70: 24, 71: 24, 72: 24, 73: 25, 74: 25, 75: 25, 76: 26, 77: 26, 78: 26, 79: 27, 80: 27, 81: 27, 82: 28, 83: 28, 84: 28, 85: 29, 86: 29, 87: 29, 88: 30, 89: 30, 90: 30, 91: 31, 92: 31, 93: 31, 94: 32, 95: 32, 96: 32, 97: 33, 98: 33, 99: 33, 100: 34, 101: 34, 102: 34, 103: 35, 104: 35, 105: 35, 106: 36, 107: 36, 108: 36, 109: 37, 110: 37, 111: 37, 112: 38, 113: 38, 114: 38, 115: 39, 116: 39, 117: 39, 118: 40, 119: 40, 120: 40, 121: 41, 122: 41, 123: 41, 124: 42, 125: 42, 126: 42, 127: 43, 128: 43, 129: 43, 130: 44, 131: 44, 132: 44, 133: 45, 134: 45, 135: 45, 136: 46, 137: 46, 138: 46, 139: 47, 140: 47, 141: 47, 142: 48, 143: 48, 144: 48, 145: 49, 146: 49, 147: 49, 148: 50, 149: 50, 150: 50, 151: 51, 152: 51, 153: 51, 154: 52, 155: 52, 156: 52, 157: 53, 158: 53, 159: 53, 160: 54, 161: 54, 162: 54, 163: 55, 164: 55, 165: 55, 166: 56, 167: 56, 168: 56, 169: 57, 170: 57, 171: 57, 172: 58, 173: 58, 174: 58, 175: 59, 176: 59, 177: 59, 178: 60, 179: 60, 180: 60, 181: 61, 182: 61, 183: 61, 184: 62, 185: 62, 186: 62, 187: 63, 188: 63, 189: 63, 190: 64, 191: 64, 192: 64, 193: 65, 194: 65, 195: 65, 196: 66, 197: 66, 198: 66, 199: 67, 200: 67, 201: 67, 202: 68, 203: 68, 204: 68, 205: 69, 206: 69, 207: 69, 208: 70, 209: 70, 210: 70, 211: 71, 212: 71, 213: 71, 214: 72, 215: 72, 216: 72, 217: 73, 218: 73, 219: 73, 220: 74, 221: 74, 222: 74, 223: 75, 224: 75, 225: 75, 226: 76, 227: 76, 228: 76, 229: 77, 230: 77, 231: 77, 232: 78, 233: 78, 234: 78, 235: 79, 236: 79, 237: 79, 238: 80, 239: 80, 240: 80, 241: 81, 242: 81, 243: 81, 244: 82, 245: 82, 246: 82, 247: 83, 248: 83, 249: 83, 250: 84, 251: 84, 252: 84, 253: 85, 254: 85, 255: 85, 256: 86, 257: 86, 258: 86, 259: 87, 260: 87, 261: 87, 262: 88, 263: 88, 264: 88, 265: 89, 266: 89, 267: 89, 268: 90, 269: 90, 270: 90, 271: 91, 272: 91, 273: 91, 274: 92, 275: 92, 276: 92, 277: 93, 278: 93, 279: 93, 280: 94, 281: 94, 282: 94, 283: 95, 284: 95, 285: 95, 286: 96, 287: 96, 288: 96, 289: 97, 290: 97, 291: 97, 292: 98, 293: 98, 294: 98, 295: 99, 296: 99, 297: 99, 298: 100, 299: 100, 300: 100},
			GoldUpgradeNormal: map[int64]int64{
				1: 1000, 2: 2000, 3: 3000, 4: 4000, 5: 5000, 6: 6000, 7: 7000, 8: 8000, 9: 9000, 10: 10000, 11: 11000, 12: 12000, 13: 13000, 14: 14000, 15: 15000, 16: 16000, 17: 17000, 18: 18000, 19: 19000, 20: 20000, 21: 21000, 22: 22000, 23: 23000, 24: 24000, 25: 25000, 26: 26000, 27: 27000, 28: 28000, 29: 29000, 30: 30000, 31: 31000, 32: 32000, 33: 33000, 34: 34000, 35: 35000, 36: 36000, 37: 37000, 38: 38000, 39: 39000, 40: 40000, 41: 41000, 42: 42000, 43: 43000, 44: 44000, 45: 45000, 46: 46000, 47: 47000, 48: 48000, 49: 49000, 50: 50000, 51: 51000, 52: 52000, 53: 53000, 54: 54000, 55: 55000, 56: 56000, 57: 57000, 58: 58000, 59: 59000, 60: 60000, 61: 61000, 62: 62000, 63: 63000, 64: 64000, 65: 65000, 66: 66000, 67: 67000, 68: 68000, 69: 69000, 70: 70000, 71: 71000, 72: 72000, 73: 73000, 74: 74000, 75: 75000, 76: 76000, 77: 77000, 78: 78000, 79: 79000, 80: 80000, 81: 81000, 82: 82000, 83: 83000, 84: 84000, 85: 85000, 86: 86000, 87: 87000, 88: 88000, 89: 89000, 90: 90000, 91: 91000, 92: 92000, 93: 93000, 94: 94000, 95: 95000, 96: 96000, 97: 97000, 98: 98000, 99: 99000, 100: 100000, 101: 101000, 102: 102000, 103: 103000, 104: 104000, 105: 105000, 106: 106000, 107: 107000, 108: 108000, 109: 109000, 110: 110000, 111: 111000, 112: 112000, 113: 113000, 114: 114000, 115: 115000, 116: 116000, 117: 117000, 118: 118000, 119: 119000, 120: 120000, 121: 121000, 122: 122000, 123: 123000, 124: 124000, 125: 125000, 126: 126000, 127: 127000, 128: 128000, 129: 129000, 130: 130000, 131: 131000, 132: 132000, 133: 133000, 134: 134000, 135: 135000, 136: 136000, 137: 137000, 138: 138000, 139: 139000, 140: 140000, 141: 141000, 142: 142000, 143: 143000, 144: 144000, 145: 145000, 146: 146000, 147: 147000, 148: 148000, 149: 149000, 150: 150000, 151: 151000, 152: 152000, 153: 153000, 154: 154000, 155: 155000, 156: 156000, 157: 157000, 158: 158000, 159: 159000, 160: 160000, 161: 161000, 162: 162000, 163: 163000, 164: 164000, 165: 165000, 166: 166000, 167: 167000, 168: 168000, 169: 169000, 170: 170000, 171: 171000, 172: 172000, 173: 173000, 174: 174000, 175: 175000, 176: 176000, 177: 177000, 178: 178000, 179: 179000, 180: 180000, 181: 181000, 182: 182000, 183: 183000, 184: 184000, 185: 185000, 186: 186000, 187: 187000, 188: 188000, 189: 189000, 190: 190000, 191: 191000, 192: 192000, 193: 193000, 194: 194000, 195: 195000, 196: 196000, 197: 197000, 198: 198000, 199: 199000, 200: 200000, 201: 201000, 202: 202000, 203: 203000, 204: 204000, 205: 205000, 206: 206000, 207: 207000, 208: 208000, 209: 209000, 210: 210000, 211: 211000, 212: 212000, 213: 213000, 214: 214000, 215: 215000, 216: 216000, 217: 217000, 218: 218000, 219: 219000, 220: 220000, 221: 221000, 222: 222000, 223: 223000, 224: 224000, 225: 225000, 226: 226000, 227: 227000, 228: 228000, 229: 229000, 230: 230000, 231: 231000, 232: 232000, 233: 233000, 234: 234000, 235: 235000, 236: 236000, 237: 237000, 238: 238000, 239: 239000, 240: 240000, 241: 241000, 242: 242000, 243: 243000, 244: 244000, 245: 245000, 246: 246000, 247: 247000, 248: 248000, 249: 249000, 250: 250000, 251: 251000, 252: 252000, 253: 253000, 254: 254000, 255: 255000, 256: 256000, 257: 257000, 258: 258000, 259: 259000, 260: 260000, 261: 261000, 262: 262000, 263: 263000, 264: 264000, 265: 265000, 266: 266000, 267: 267000, 268: 268000, 269: 269000, 270: 270000, 271: 271000, 272: 272000, 273: 273000, 274: 274000, 275: 275000, 276: 276000, 277: 277000, 278: 278000, 279: 279000, 280: 280000, 281: 281000, 282: 282000, 283: 283000, 284: 284000, 285: 285000, 286: 286000, 287: 287000, 288: 288000, 289: 289000, 290: 290000, 291: 291000, 292: 292000, 293: 293000, 294: 294000, 295: 295000, 296: 296000, 297: 297000, 298: 298000, 299: 299000, 300: 300000},
			LevelUnlockSpecial: map[int64]int64{
				1: 3, 2: 5, 3: 7, 4: 9, 5: 11, 6: 13, 7: 15, 8: 20, 9: 25, 10: 30, 11: 35, 12: 40, 13: 50, 14: 60, 15: 70, 16: 80, 17: 90, 18: 100},
			GemUpgradeSpecial: map[int64]int64{
				1: 100, 2: 200, 3: 300, 4: 500, 5: 500, 6: 700, 7: 700, 8: 1000, 9: 1000, 10: 1000, 11: 1000, 12: 1000, 13: 2000, 14: 2000, 15: 2000, 16: 2000, 17: 2000, 18: 2000},
		},
		CFCampaign: &CFCampaign{
			MaxLevel:     100,
			EnergyPlay:   5,
			MaxKillEnemy: 500000,
			MaxKillBoss:  50,
			GoldReward: map[int64]int64{
				1: 4000, 2: 4400, 3: 4800, 4: 5200, 5: 5600, 6: 6000, 7: 6400, 8: 6800, 9: 7200, 10: 7600, 11: 8000, 12: 8400, 13: 8800, 14: 9200, 15: 9600, 16: 10000, 17: 10400, 18: 10800, 19: 11200, 20: 11600, 21: 12000, 22: 12400, 23: 12800, 24: 13200, 25: 13600, 26: 14000, 27: 14400, 28: 14800, 29: 15200, 30: 15600, 31: 16000, 32: 16400, 33: 16800, 34: 17200, 35: 17600, 36: 18000, 37: 18400, 38: 18800, 39: 19200, 40: 19600, 41: 20000, 42: 20400, 43: 20800, 44: 21200, 45: 21600, 46: 22000, 47: 22400, 48: 22800, 49: 23200, 50: 23600, 51: 24000, 52: 24400, 53: 24800, 54: 25200, 55: 25600, 56: 26000, 57: 26400, 58: 26800, 59: 27200, 60: 27600, 61: 28000, 62: 28400, 63: 28800, 64: 29200, 65: 29600, 66: 30000, 67: 30400, 68: 30800, 69: 31200, 70: 31600, 71: 32000, 72: 32400, 73: 32800, 74: 33200, 75: 33600, 76: 34000, 77: 34400, 78: 34800, 79: 35200, 80: 35600, 81: 36000, 82: 36400, 83: 36800, 84: 37200, 85: 37600, 86: 38000, 87: 38400, 88: 38800, 89: 39200, 90: 39600, 91: 40000, 92: 40400, 93: 40800, 94: 41200, 95: 41600, 96: 42000, 97: 42400, 98: 42800, 99: 43200, 100: 43600},
			ExpReward: map[int64]int64{
				1: 1000, 2: 1100, 3: 1200, 4: 1300, 5: 1400, 6: 1500, 7: 1600, 8: 1700, 9: 1800, 10: 1900, 11: 2000, 12: 2100, 13: 2200, 14: 2300, 15: 2400, 16: 2500, 17: 2600, 18: 2700, 19: 2800, 20: 2900, 21: 3000, 22: 3100, 23: 3200, 24: 3300, 25: 3400, 26: 3500, 27: 3600, 28: 3700, 29: 3800, 30: 3900, 31: 4000, 32: 4100, 33: 4200, 34: 4300, 35: 4400, 36: 4500, 37: 4600, 38: 4700, 39: 4800, 40: 4900, 41: 5000, 42: 5100, 43: 5200, 44: 5300, 45: 5400, 46: 5500, 47: 5600, 48: 5700, 49: 5800, 50: 5900, 51: 6000, 52: 6100, 53: 6200, 54: 6300, 55: 6400, 56: 6500, 57: 6600, 58: 6700, 59: 6800, 60: 6900, 61: 7000, 62: 7100, 63: 7200, 64: 7300, 65: 7400, 66: 7500, 67: 7600, 68: 7700, 69: 7800, 70: 7900, 71: 8000, 72: 8100, 73: 8200, 74: 8300, 75: 8400, 76: 8500, 77: 8600, 78: 8700, 79: 8800, 80: 8900, 81: 9000, 82: 9100, 83: 9200, 84: 9300, 85: 9400, 86: 9500, 87: 9600, 88: 9700, 89: 9800, 90: 9900, 91: 10000, 92: 10100, 93: 10200, 94: 10300, 95: 10400, 96: 10500, 97: 10600, 98: 10700, 99: 10800, 100: 10900},
			DesignReward:    10,
			EquipmentReward: 3,
			Step1Reward:     map[int64]int64{GiftNameRareChest: 1},
			Step2Reward:     map[int64]int64{GiftNameGem: 100},
			ClearReward:     map[int64]int64{GiftNameMythChest: 1},
		},
		CFBossMode: &CFBossMode{
			EnergyPlay:     map[int64]int64{PlayModeNormal: 5, PlayModeHard: 10, PlayModeCrazy: 15},
			PetPieceReward: map[int64]int64{PlayModeNormal: 2, PlayModeHard: 3, PlayModeCrazy: 5},
			NormalReward:   map[int64]int64{GiftNameRareChest: 1},
			HardReward:     map[int64]int64{GiftNameGem: 100},
			CrazyReward:    map[int64]int64{GiftNameMythChest: 1},
		},
		CFDungeon: &CFDungeon{
			EnergyPlay:   map[int64]int64{PlayModeNormal: 5, PlayModeHard: 10, PlayModeCrazy: 15},
			MaxKillEnemy: 500000,
			MaxKillBoss:  50,
			GoldReward: map[int64]int64{
				1: 4000, 2: 4400, 3: 4800, 4: 5200, 5: 5600, 6: 6000, 7: 6400, 8: 6800, 9: 7200, 10: 7600, 11: 8000, 12: 8400, 13: 8800, 14: 9200, 15: 9600, 16: 10000, 17: 10400, 18: 10800, 19: 11200, 20: 11600, 21: 12000, 22: 12400, 23: 12800, 24: 13200, 25: 13600, 26: 14000, 27: 14400, 28: 14800, 29: 15200, 30: 15600, 31: 16000, 32: 16400, 33: 16800, 34: 17200, 35: 17600, 36: 18000, 37: 18400, 38: 18800, 39: 19200, 40: 19600, 41: 20000, 42: 20400, 43: 20800, 44: 21200, 45: 21600, 46: 22000, 47: 22400, 48: 22800, 49: 23200, 50: 23600, 51: 24000, 52: 24400, 53: 24800, 54: 25200, 55: 25600, 56: 26000, 57: 26400, 58: 26800, 59: 27200, 60: 27600, 61: 28000, 62: 28400, 63: 28800, 64: 29200, 65: 29600, 66: 30000, 67: 30400, 68: 30800, 69: 31200, 70: 31600, 71: 32000, 72: 32400, 73: 32800, 74: 33200, 75: 33600, 76: 34000, 77: 34400, 78: 34800, 79: 35200, 80: 35600, 81: 36000, 82: 36400, 83: 36800, 84: 37200, 85: 37600, 86: 38000, 87: 38400, 88: 38800, 89: 39200, 90: 39600, 91: 40000, 92: 40400, 93: 40800, 94: 41200, 95: 41600, 96: 42000, 97: 42400, 98: 42800, 99: 43200, 100: 43600},
			ExpReward: map[int64]int64{
				1: 1000, 2: 1100, 3: 1200, 4: 1300, 5: 1400, 6: 1500, 7: 1600, 8: 1700, 9: 1800, 10: 1900, 11: 2000, 12: 2100, 13: 2200, 14: 2300, 15: 2400, 16: 2500, 17: 2600, 18: 2700, 19: 2800, 20: 2900, 21: 3000, 22: 3100, 23: 3200, 24: 3300, 25: 3400, 26: 3500, 27: 3600, 28: 3700, 29: 3800, 30: 3900, 31: 4000, 32: 4100, 33: 4200, 34: 4300, 35: 4400, 36: 4500, 37: 4600, 38: 4700, 39: 4800, 40: 4900, 41: 5000, 42: 5100, 43: 5200, 44: 5300, 45: 5400, 46: 5500, 47: 5600, 48: 5700, 49: 5800, 50: 5900, 51: 6000, 52: 6100, 53: 6200, 54: 6300, 55: 6400, 56: 6500, 57: 6600, 58: 6700, 59: 6800, 60: 6900, 61: 7000, 62: 7100, 63: 7200, 64: 7300, 65: 7400, 66: 7500, 67: 7600, 68: 7700, 69: 7800, 70: 7900, 71: 8000, 72: 8100, 73: 8200, 74: 8300, 75: 8400, 76: 8500, 77: 8600, 78: 8700, 79: 8800, 80: 8900, 81: 9000, 82: 9100, 83: 9200, 84: 9300, 85: 9400, 86: 9500, 87: 9600, 88: 9700, 89: 9800, 90: 9900, 91: 10000, 92: 10100, 93: 10200, 94: 10300, 95: 10400, 96: 10500, 97: 10600, 98: 10700, 99: 10800, 100: 10900},
			StoneReward:     map[int64]int64{PlayModeNormal: 2, PlayModeHard: 3, PlayModeCrazy: 5},
			DesignReward:    map[int64]int64{PlayModeNormal: 10, PlayModeHard: 15, PlayModeCrazy: 20},
			EquipmentReward: map[int64]int64{PlayModeNormal: 2, PlayModeHard: 3, PlayModeCrazy: 5},
			TechPartReward:  map[int64]int64{PlayModeNormal: 2, PlayModeHard: 3, PlayModeCrazy: 5},
			NormalReward:    map[int64]int64{GiftNameGem: 100},
			HardReward:      map[int64]int64{GiftNameMythChest: 1},
			CrazyReward:     map[int64]int64{GiftNameGem: 100, GiftNameMythChest: 1},
		},
		CFExploration: &CFExploration{
			EnergyQuick:   20,
			NumberOfQuick: 2,
			NumberOfAds:   1,
			TimeOfQuick:   5,
			MaxTimeAFK:    16,
			GoldReward: map[int64]int64{
				1: 2000, 2: 2200, 3: 2400, 4: 2600, 5: 2800, 6: 3000, 7: 3200, 8: 3400, 9: 3600, 10: 3800, 11: 4000, 12: 4200, 13: 4400, 14: 4600, 15: 4800, 16: 5000, 17: 5200, 18: 5400, 19: 5600, 20: 5800, 21: 6000, 22: 6200, 23: 6400, 24: 6600, 25: 6800, 26: 7000, 27: 7200, 28: 7400, 29: 7600, 30: 7800, 31: 8000, 32: 8200, 33: 8400, 34: 8600, 35: 8800, 36: 9000, 37: 9200, 38: 9400, 39: 9600, 40: 9800, 41: 10000, 42: 10200, 43: 10400, 44: 10600, 45: 10800, 46: 11000, 47: 11200, 48: 11400, 49: 11600, 50: 11800, 51: 12000, 52: 12200, 53: 12400, 54: 12600, 55: 12800, 56: 13000, 57: 13200, 58: 13400, 59: 13600, 60: 13800, 61: 14000, 62: 14200, 63: 14400, 64: 14600, 65: 14800, 66: 15000, 67: 15200, 68: 15400, 69: 15600, 70: 15800, 71: 16000, 72: 16200, 73: 16400, 74: 16600, 75: 16800, 76: 17000, 77: 17200, 78: 17400, 79: 17600, 80: 17800, 81: 18000, 82: 18200, 83: 18400, 84: 18600, 85: 18800, 86: 19000, 87: 19200, 88: 19400, 89: 19600, 90: 19800, 91: 20000, 92: 20200, 93: 20400, 94: 20600, 95: 20800, 96: 21000, 97: 21200, 98: 21400, 99: 21600, 100: 21800},
			ExpReward: map[int64]int64{
				1: 500, 2: 550, 3: 600, 4: 650, 5: 700, 6: 750, 7: 800, 8: 850, 9: 900, 10: 950, 11: 1000, 12: 1050, 13: 1100, 14: 1150, 15: 1200, 16: 1250, 17: 1300, 18: 1350, 19: 1400, 20: 1450, 21: 1500, 22: 1550, 23: 1600, 24: 1650, 25: 1700, 26: 1750, 27: 1800, 28: 1850, 29: 1900, 30: 1950, 31: 2000, 32: 2050, 33: 2100, 34: 2150, 35: 2200, 36: 2250, 37: 2300, 38: 2350, 39: 2400, 40: 2450, 41: 2500, 42: 2550, 43: 2600, 44: 2650, 45: 2700, 46: 2750, 47: 2800, 48: 2850, 49: 2900, 50: 2950, 51: 3000, 52: 3050, 53: 3100, 54: 3150, 55: 3200, 56: 3250, 57: 3300, 58: 3350, 59: 3400, 60: 3450, 61: 3500, 62: 3550, 63: 3600, 64: 3650, 65: 3700, 66: 3750, 67: 3800, 68: 3850, 69: 3900, 70: 3950, 71: 4000, 72: 4050, 73: 4100, 74: 4150, 75: 4200, 76: 4250, 77: 4300, 78: 4350, 79: 4400, 80: 4450, 81: 4500, 82: 4550, 83: 4600, 84: 4650, 85: 4700, 86: 4750, 87: 4800, 88: 4850, 89: 4900, 90: 4950, 91: 5000, 92: 5050, 93: 5100, 94: 5150, 95: 5200, 96: 5250, 97: 5300, 98: 5350, 99: 5400, 100: 5450},
			DesignReward: map[int64]float64{
				1: 0.50, 2: 0.63, 3: 0.75, 4: 0.88, 5: 1.00, 6: 1.13, 7: 1.25, 8: 1.38, 9: 1.50, 10: 1.63, 11: 1.75, 12: 1.88, 13: 2.00, 14: 2.13, 15: 2.25, 16: 2.38, 17: 2.50, 18: 2.63, 19: 2.75, 20: 2.88, 21: 3.00, 22: 3.13, 23: 3.25, 24: 3.38, 25: 3.50, 26: 3.63, 27: 3.75, 28: 3.88, 29: 4.00, 30: 4.13, 31: 4.25, 32: 4.38, 33: 4.50, 34: 4.63, 35: 4.75, 36: 4.88, 37: 5.00, 38: 5.13, 39: 5.25, 40: 5.38, 41: 5.50, 42: 5.63, 43: 5.75, 44: 5.88, 45: 6.00, 46: 6.13, 47: 6.25, 48: 6.38, 49: 6.50, 50: 6.63, 51: 6.75, 52: 6.88, 53: 7.00, 54: 7.13, 55: 7.25, 56: 7.38, 57: 7.50, 58: 7.63, 59: 7.75, 60: 7.88, 61: 8.00, 62: 8.13, 63: 8.25, 64: 8.38, 65: 8.50, 66: 8.63, 67: 8.75, 68: 8.88, 69: 9.00, 70: 9.13, 71: 9.25, 72: 9.38, 73: 9.50, 74: 9.63, 75: 9.75, 76: 9.88, 77: 10.00, 78: 10.13, 79: 10.25, 80: 10.38, 81: 10.50, 82: 10.63, 83: 10.75, 84: 10.88, 85: 11.00, 86: 11.13, 87: 11.25, 88: 11.38, 89: 11.50, 90: 11.63, 91: 11.75, 92: 11.88, 93: 12.00, 94: 12.13, 95: 12.25, 96: 12.38, 97: 12.50, 98: 12.63, 99: 12.75, 100: 12.88},
			EquipmentReward: map[int64]float64{
				1: 0.05, 2: 0.06, 3: 0.08, 4: 0.09, 5: 0.10, 6: 0.11, 7: 0.13, 8: 0.14, 9: 0.15, 10: 0.16, 11: 0.18, 12: 0.19, 13: 0.20, 14: 0.21, 15: 0.23, 16: 0.24, 17: 0.25, 18: 0.26, 19: 0.28, 20: 0.29, 21: 0.30, 22: 0.31, 23: 0.33, 24: 0.34, 25: 0.35, 26: 0.36, 27: 0.38, 28: 0.39, 29: 0.40, 30: 0.41, 31: 0.43, 32: 0.44, 33: 0.45, 34: 0.46, 35: 0.48, 36: 0.49, 37: 0.50, 38: 0.51, 39: 0.53, 40: 0.54, 41: 0.55, 42: 0.56, 43: 0.58, 44: 0.59, 45: 0.60, 46: 0.61, 47: 0.63, 48: 0.64, 49: 0.65, 50: 0.66, 51: 0.68, 52: 0.69, 53: 0.70, 54: 0.71, 55: 0.73, 56: 0.74, 57: 0.75, 58: 0.76, 59: 0.78, 60: 0.79, 61: 0.80, 62: 0.81, 63: 0.83, 64: 0.84, 65: 0.85, 66: 0.86, 67: 0.88, 68: 0.89, 69: 0.90, 70: 0.91, 71: 0.93, 72: 0.94, 73: 0.95, 74: 0.96, 75: 0.98, 76: 0.99, 77: 1.00, 78: 1.01, 79: 1.03, 80: 1.04, 81: 1.05, 82: 1.06, 83: 1.08, 84: 1.09, 85: 1.10, 86: 1.11, 87: 1.13, 88: 1.14, 89: 1.15, 90: 1.16, 91: 1.18, 92: 1.19, 93: 1.20, 94: 1.21, 95: 1.23, 96: 1.24, 97: 1.25, 98: 1.26, 99: 1.28, 100: 1.29},
		},
		CFDailyReward: &CFDailyReward{
			Reward: map[int64]map[int64]int64{
				1: {GiftNameRevivalCoin: 1}, 2: {GiftNameRareChest: 1},
				3: {GiftNameRevivalCoin: 1}, 4: {GiftNameRareChest: 1},
				5: {GiftNameRevivalCoin: 1}, 6: {GiftNameRareChest: 1},
				7: {GiftNameGem: 100, GiftNameGoldPatrol: 6, GiftNameMythChest: 1, GiftNameRevivalCoin: 1},
			},
			Bonus: map[int64]int64{GiftNameGem: 50},
		},
		CFDailyQuest: &CFDailyQuest{
			Target: map[int64]int64{
				DailyQuestIndexPlayCampaign:     1,
				DailyQuestIndexUpgradeEquipment: 1,
				DailyQuestIndexClaimExploration: 1,
				DailyQuestIndexBuyEnergy:        1,
				DailyQuestIndexOpenChest:        1,
				DailyQuestIndexMakePurchase:     1},
			Point: map[int64]int64{
				DailyQuestIndexPlayCampaign:     1,
				DailyQuestIndexUpgradeEquipment: 1,
				DailyQuestIndexClaimExploration: 1,
				DailyQuestIndexBuyEnergy:        1,
				DailyQuestIndexOpenChest:        1,
				DailyQuestIndexMakePurchase:     1},
			Bonus: map[int64]map[int64]int64{
				1: {GiftNameGoldPatrol: 1, GiftNameDesignRandom: 2},
				2: {GiftNameGoldPatrol: 1, GiftNameDesignRandom: 3},
				3: {GiftNameGoldPatrol: 1, GiftNameGem: 30},
				4: {GiftNameGoldPatrol: 1, GiftNameDesignRandom: 5},
				5: {GiftNameGoldPatrol: 1, GiftNameGem: 50, GiftNameRareChest: 1}},
		},
		CFWeeklyQuest: &CFWeeklyQuest{
			Target: map[int64]int64{
				WeeklyQuestIndexClearDungeon:   10,
				WeeklyQuestIndexMergeEquipment: 3,
				WeeklyQuestIndexMergeTechPart:  3,
				WeeklyQuestIndexKillEnemies:    1000000,
				WeeklyQuestIndexBuyDailySale:   10,
				WeeklyQuestIndexOpenChest:      20},
			Point: map[int64]int64{
				WeeklyQuestIndexClearDungeon:   1,
				WeeklyQuestIndexMergeEquipment: 1,
				WeeklyQuestIndexMergeTechPart:  1,
				WeeklyQuestIndexKillEnemies:    1,
				WeeklyQuestIndexBuyDailySale:   1,
				WeeklyQuestIndexOpenChest:      1},
			Bonus: map[int64]map[int64]int64{
				1: {GiftNameGoldPatrol: 1, GiftNameDesignRandom: 5},
				2: {GiftNameGoldPatrol: 2, GiftNameDesignRandom: 10},
				3: {GiftNameGoldPatrol: 3, GiftNameGem: 100},
				4: {GiftNameGoldPatrol: 4, GiftNameDesignRandom: 15},
				5: {GiftNameGoldPatrol: 5, GiftNameGem: 200, GiftNameMythChest: 1}},
		},
		CFAchievement: &CFAchievement{
			Target: map[int64]map[int64]int64{
				AchievementIndexLogin:               {1: 1, 2: 2, 3: 3, 4: 5, 5: 7, 6: 10, 7: 20, 8: 30, 9: 50, 10: 100},
				AchievementIndexReachUserLevel:      {1: 10, 2: 20, 3: 30, 4: 40, 5: 50, 6: 60, 7: 70, 8: 80, 9: 90, 10: 100},
				AchievementIndexPassCampaign:        {1: 10, 2: 20, 3: 30, 4: 40, 5: 50, 6: 60, 7: 70, 8: 80, 9: 90, 10: 100},
				AchievementIndexPlayDungeon:         {1: 10, 2: 20, 3: 50, 4: 100, 5: 200, 6: 500, 7: 1000, 8: 2000, 9: 5000, 10: 10000},
				AchievementIndexUnlockTalentNormal:  {1: 10, 2: 20, 3: 30, 4: 50, 5: 70, 6: 100, 7: 150, 8: 200, 9: 250, 10: 300},
				AchievementIndexUnlockTalentSpecial: {1: 1, 2: 2, 3: 3, 4: 4, 5: 5, 6: 6, 7: 7, 8: 10, 9: 14, 10: 18},
				AchievementIndexMakePurchase:        {1: 1, 2: 2, 3: 3, 4: 5, 5: 7, 6: 10, 7: 20, 8: 30, 9: 50, 10: 100},
				AchievementIndexOpenChest:           {1: 10, 2: 20, 3: 50, 4: 100, 5: 200, 6: 500, 7: 1000, 8: 10000, 9: 100000, 10: 1000000},
				AchievementIndexSpendGem:            {1: 100, 2: 200, 3: 500, 4: 1000, 5: 2000, 6: 5000, 7: 10000, 8: 100000, 9: 1000000, 10: 10000000},
				AchievementIndexSpendGold:           {1: 10000, 2: 20000, 3: 50000, 4: 100000, 5: 200000, 6: 500000, 7: 1000000, 8: 10000000, 9: 100000000, 10: 1000000000},
				AchievementIndexKillEnemies:         {1: 100000, 2: 200000, 3: 500000, 4: 1000000, 5: 2000000, 6: 5000000, 7: 10000000, 8: 100000000, 9: 1000000000, 10: 10000000000},
				AchievementIndexKillBosses:          {1: 10, 2: 20, 3: 50, 4: 100, 5: 200, 6: 500, 7: 1000, 8: 10000, 9: 100000, 10: 1000000},
				AchievementIndexUnlockHero:          {1: 1, 2: 2, 3: 3, 4: 4, 5: 5, 6: 6, 7: 7, 8: 8, 9: 9, 10: 10},
				AchievementIndexReachHeroRarity:     {1: 10, 2: 20, 3: 30, 4: 40, 5: 50, 6: 60, 7: 70, 8: 80, 9: 100, 10: 120},
				AchievementIndexMergeEquipment:      {1: 10, 2: 20, 3: 50, 4: 100, 5: 200, 6: 500, 7: 1000, 8: 10000, 9: 100000, 10: 1000000},
				AchievementIndexReachEquipmentLevel: {1: 10, 2: 20, 3: 30, 4: 40, 5: 50, 6: 60, 7: 70, 8: 80, 9: 100, 10: 120},
				AchievementIndexMergeTechPart:       {1: 10, 2: 20, 3: 50, 4: 100, 5: 200, 6: 500, 7: 1000, 8: 10000, 9: 100000, 10: 1000000},
				AchievementIndexUnlockPet:           {1: 1, 2: 2, 3: 3, 4: 4, 5: 5, 6: 6, 7: 7, 8: 8, 9: 9, 10: 10},
				AchievementIndexReachPetLevel:       {1: 10, 2: 20, 3: 30, 4: 40, 5: 50, 6: 60, 7: 70, 8: 80, 9: 100, 10: 120}},
			Reward: map[int64]int64{
				1: 10, 2: 10, 3: 20, 4: 20, 5: 30, 6: 30, 7: 40, 8: 40, 9: 50, 10: 50},
		},
		CFRookieLogin: &CFRookieLogin{
			Reward: map[int64]map[int64]int64{
				1: {GiftNameRevivalCoin: 1, GiftNameEnergy: 5},
				2: {GiftNameGem: 50, GiftNameDesignRandom: 10, GiftNameRareChest: 2},
				3: {GiftNameGold: 10000, GiftNameRevivalCoin: 1, GiftNameMythChest: 1},
				4: {GiftNameGem: 50, GiftNameDesignRandom: 20, GiftNameEnergy: 10},
				5: {GiftNameGem: 50, GiftNameGold: 20000, GiftNameRareChest: 3},
				6: {GiftNameGem: 50, GiftNameDesignRandom: 30, GiftNameRevivalCoin: 2},
				7: {GiftNameGem: 200, GiftNameGold: 50000, GiftNameMythChest: 2, GiftNameEnergy: 20},
			}},
		CFQuest7Days: &CFQuest7Days{
			Target: map[int64]int64{},
			Reward: map[int64]int64{},
			Point:  map[int64]int64{},
			Bonus:  map[int64]map[int64]int64{},
		},
		CFShop: &CFShop{
			MonthlyInAppReward: map[int64]int64{
				GiftNameGem: 100, GiftNameGold: 10000, GiftNameEquipmentExcellentRandom: 1},
			ChapterPacksPrice: map[int64]int64{
				1: 1, 2: 2, 3: 3, 4: 4, 5: 5, 6: 6, 7: 7, 8: 8, 9: 9, 10: 10, 11: 11, 12: 12, 13: 13, 14: 14, 15: 15, 16: 16, 17: 17, 18: 18, 19: 19, 20: 20, 21: 21, 22: 22, 23: 23, 24: 24, 25: 25, 26: 26, 27: 27, 28: 28, 29: 29, 30: 30, 31: 31, 32: 32, 33: 33, 34: 34, 35: 35, 36: 36, 37: 37, 38: 38, 39: 39, 40: 40, 41: 41, 42: 42, 43: 43, 44: 44, 45: 45, 46: 46, 47: 47, 48: 48, 49: 49, 50: 50, 51: 51, 52: 52, 53: 53, 54: 54, 55: 55, 56: 56, 57: 57, 58: 58, 59: 59, 60: 60, 61: 61, 62: 62, 63: 63, 64: 64, 65: 65, 66: 66, 67: 67, 68: 68, 69: 69, 70: 70, 71: 71, 72: 72, 73: 73, 74: 74, 75: 75, 76: 76, 77: 77, 78: 78, 79: 79, 80: 80, 81: 81, 82: 82, 83: 83, 84: 84, 85: 85, 86: 86, 87: 87, 88: 88, 89: 89, 90: 90, 91: 91, 92: 92, 93: 93, 94: 94, 95: 95, 96: 96, 97: 97, 98: 98, 99: 99, 100: 100},
			ChapterPacksReward: map[int64]map[int64]int64{
				1:   {GiftNameGem: 100, GiftNameGold: 10000, GiftNameStoneRandom: 1, GiftNameMythChest: 1},
				2:   {GiftNameGem: 200, GiftNameGold: 20000, GiftNameStoneRandom: 2, GiftNameMythChest: 2},
				3:   {GiftNameGem: 300, GiftNameGold: 30000, GiftNameStoneRandom: 3, GiftNameMythChest: 3},
				4:   {GiftNameGem: 400, GiftNameGold: 40000, GiftNameStoneRandom: 4, GiftNameMythChest: 4},
				5:   {GiftNameGem: 500, GiftNameGold: 50000, GiftNameStoneRandom: 5, GiftNameMythChest: 5},
				6:   {GiftNameGem: 600, GiftNameGold: 60000, GiftNameStoneRandom: 6, GiftNameMythChest: 6},
				7:   {GiftNameGem: 700, GiftNameGold: 70000, GiftNameStoneRandom: 7, GiftNameMythChest: 7},
				8:   {GiftNameGem: 800, GiftNameGold: 80000, GiftNameStoneRandom: 8, GiftNameMythChest: 8},
				9:   {GiftNameGem: 900, GiftNameGold: 90000, GiftNameStoneRandom: 9, GiftNameMythChest: 9},
				10:  {GiftNameGem: 1000, GiftNameGold: 100000, GiftNameStoneRandom: 10, GiftNameMythChest: 10},
				11:  {GiftNameGem: 1100, GiftNameGold: 110000, GiftNameStoneRandom: 11, GiftNameMythChest: 11},
				12:  {GiftNameGem: 1200, GiftNameGold: 120000, GiftNameStoneRandom: 12, GiftNameMythChest: 12},
				13:  {GiftNameGem: 1300, GiftNameGold: 130000, GiftNameStoneRandom: 13, GiftNameMythChest: 13},
				14:  {GiftNameGem: 1400, GiftNameGold: 140000, GiftNameStoneRandom: 14, GiftNameMythChest: 14},
				15:  {GiftNameGem: 1500, GiftNameGold: 150000, GiftNameStoneRandom: 15, GiftNameMythChest: 15},
				16:  {GiftNameGem: 1600, GiftNameGold: 160000, GiftNameStoneRandom: 16, GiftNameMythChest: 16},
				17:  {GiftNameGem: 1700, GiftNameGold: 170000, GiftNameStoneRandom: 17, GiftNameMythChest: 17},
				18:  {GiftNameGem: 1800, GiftNameGold: 180000, GiftNameStoneRandom: 18, GiftNameMythChest: 18},
				19:  {GiftNameGem: 1900, GiftNameGold: 190000, GiftNameStoneRandom: 19, GiftNameMythChest: 19},
				20:  {GiftNameGem: 2000, GiftNameGold: 200000, GiftNameStoneRandom: 20, GiftNameMythChest: 20},
				21:  {GiftNameGem: 2100, GiftNameGold: 210000, GiftNameStoneRandom: 21, GiftNameMythChest: 21},
				22:  {GiftNameGem: 2200, GiftNameGold: 220000, GiftNameStoneRandom: 22, GiftNameMythChest: 22},
				23:  {GiftNameGem: 2300, GiftNameGold: 230000, GiftNameStoneRandom: 23, GiftNameMythChest: 23},
				24:  {GiftNameGem: 2400, GiftNameGold: 240000, GiftNameStoneRandom: 24, GiftNameMythChest: 24},
				25:  {GiftNameGem: 2500, GiftNameGold: 250000, GiftNameStoneRandom: 25, GiftNameMythChest: 25},
				26:  {GiftNameGem: 2600, GiftNameGold: 260000, GiftNameStoneRandom: 26, GiftNameMythChest: 26},
				27:  {GiftNameGem: 2700, GiftNameGold: 270000, GiftNameStoneRandom: 27, GiftNameMythChest: 27},
				28:  {GiftNameGem: 2800, GiftNameGold: 280000, GiftNameStoneRandom: 28, GiftNameMythChest: 28},
				29:  {GiftNameGem: 2900, GiftNameGold: 290000, GiftNameStoneRandom: 29, GiftNameMythChest: 29},
				30:  {GiftNameGem: 3000, GiftNameGold: 300000, GiftNameStoneRandom: 30, GiftNameMythChest: 30},
				31:  {GiftNameGem: 3100, GiftNameGold: 310000, GiftNameStoneRandom: 31, GiftNameMythChest: 31},
				32:  {GiftNameGem: 3200, GiftNameGold: 320000, GiftNameStoneRandom: 32, GiftNameMythChest: 32},
				33:  {GiftNameGem: 3300, GiftNameGold: 330000, GiftNameStoneRandom: 33, GiftNameMythChest: 33},
				34:  {GiftNameGem: 3400, GiftNameGold: 340000, GiftNameStoneRandom: 34, GiftNameMythChest: 34},
				35:  {GiftNameGem: 3500, GiftNameGold: 350000, GiftNameStoneRandom: 35, GiftNameMythChest: 35},
				36:  {GiftNameGem: 3600, GiftNameGold: 360000, GiftNameStoneRandom: 36, GiftNameMythChest: 36},
				37:  {GiftNameGem: 3700, GiftNameGold: 370000, GiftNameStoneRandom: 37, GiftNameMythChest: 37},
				38:  {GiftNameGem: 3800, GiftNameGold: 380000, GiftNameStoneRandom: 38, GiftNameMythChest: 38},
				39:  {GiftNameGem: 3900, GiftNameGold: 390000, GiftNameStoneRandom: 39, GiftNameMythChest: 39},
				40:  {GiftNameGem: 4000, GiftNameGold: 400000, GiftNameStoneRandom: 40, GiftNameMythChest: 40},
				41:  {GiftNameGem: 4100, GiftNameGold: 410000, GiftNameStoneRandom: 41, GiftNameMythChest: 41},
				42:  {GiftNameGem: 4200, GiftNameGold: 420000, GiftNameStoneRandom: 42, GiftNameMythChest: 42},
				43:  {GiftNameGem: 4300, GiftNameGold: 430000, GiftNameStoneRandom: 43, GiftNameMythChest: 43},
				44:  {GiftNameGem: 4400, GiftNameGold: 440000, GiftNameStoneRandom: 44, GiftNameMythChest: 44},
				45:  {GiftNameGem: 4500, GiftNameGold: 450000, GiftNameStoneRandom: 45, GiftNameMythChest: 45},
				46:  {GiftNameGem: 4600, GiftNameGold: 460000, GiftNameStoneRandom: 46, GiftNameMythChest: 46},
				47:  {GiftNameGem: 4700, GiftNameGold: 470000, GiftNameStoneRandom: 47, GiftNameMythChest: 47},
				48:  {GiftNameGem: 4800, GiftNameGold: 480000, GiftNameStoneRandom: 48, GiftNameMythChest: 48},
				49:  {GiftNameGem: 4900, GiftNameGold: 490000, GiftNameStoneRandom: 49, GiftNameMythChest: 49},
				50:  {GiftNameGem: 5000, GiftNameGold: 500000, GiftNameStoneRandom: 50, GiftNameMythChest: 50},
				51:  {GiftNameGem: 5100, GiftNameGold: 510000, GiftNameStoneRandom: 51, GiftNameMythChest: 51},
				52:  {GiftNameGem: 5200, GiftNameGold: 520000, GiftNameStoneRandom: 52, GiftNameMythChest: 52},
				53:  {GiftNameGem: 5300, GiftNameGold: 530000, GiftNameStoneRandom: 53, GiftNameMythChest: 53},
				54:  {GiftNameGem: 5400, GiftNameGold: 540000, GiftNameStoneRandom: 54, GiftNameMythChest: 54},
				55:  {GiftNameGem: 5500, GiftNameGold: 550000, GiftNameStoneRandom: 55, GiftNameMythChest: 55},
				56:  {GiftNameGem: 5600, GiftNameGold: 560000, GiftNameStoneRandom: 56, GiftNameMythChest: 56},
				57:  {GiftNameGem: 5700, GiftNameGold: 570000, GiftNameStoneRandom: 57, GiftNameMythChest: 57},
				58:  {GiftNameGem: 5800, GiftNameGold: 580000, GiftNameStoneRandom: 58, GiftNameMythChest: 58},
				59:  {GiftNameGem: 5900, GiftNameGold: 590000, GiftNameStoneRandom: 59, GiftNameMythChest: 59},
				60:  {GiftNameGem: 6000, GiftNameGold: 600000, GiftNameStoneRandom: 60, GiftNameMythChest: 60},
				61:  {GiftNameGem: 6100, GiftNameGold: 610000, GiftNameStoneRandom: 61, GiftNameMythChest: 61},
				62:  {GiftNameGem: 6200, GiftNameGold: 620000, GiftNameStoneRandom: 62, GiftNameMythChest: 62},
				63:  {GiftNameGem: 6300, GiftNameGold: 630000, GiftNameStoneRandom: 63, GiftNameMythChest: 63},
				64:  {GiftNameGem: 6400, GiftNameGold: 640000, GiftNameStoneRandom: 64, GiftNameMythChest: 64},
				65:  {GiftNameGem: 6500, GiftNameGold: 650000, GiftNameStoneRandom: 65, GiftNameMythChest: 65},
				66:  {GiftNameGem: 6600, GiftNameGold: 660000, GiftNameStoneRandom: 66, GiftNameMythChest: 66},
				67:  {GiftNameGem: 6700, GiftNameGold: 670000, GiftNameStoneRandom: 67, GiftNameMythChest: 67},
				68:  {GiftNameGem: 6800, GiftNameGold: 680000, GiftNameStoneRandom: 68, GiftNameMythChest: 68},
				69:  {GiftNameGem: 6900, GiftNameGold: 690000, GiftNameStoneRandom: 69, GiftNameMythChest: 69},
				70:  {GiftNameGem: 7000, GiftNameGold: 700000, GiftNameStoneRandom: 70, GiftNameMythChest: 70},
				71:  {GiftNameGem: 7100, GiftNameGold: 710000, GiftNameStoneRandom: 71, GiftNameMythChest: 71},
				72:  {GiftNameGem: 7200, GiftNameGold: 720000, GiftNameStoneRandom: 72, GiftNameMythChest: 72},
				73:  {GiftNameGem: 7300, GiftNameGold: 730000, GiftNameStoneRandom: 73, GiftNameMythChest: 73},
				74:  {GiftNameGem: 7400, GiftNameGold: 740000, GiftNameStoneRandom: 74, GiftNameMythChest: 74},
				75:  {GiftNameGem: 7500, GiftNameGold: 750000, GiftNameStoneRandom: 75, GiftNameMythChest: 75},
				76:  {GiftNameGem: 7600, GiftNameGold: 760000, GiftNameStoneRandom: 76, GiftNameMythChest: 76},
				77:  {GiftNameGem: 7700, GiftNameGold: 770000, GiftNameStoneRandom: 77, GiftNameMythChest: 77},
				78:  {GiftNameGem: 7800, GiftNameGold: 780000, GiftNameStoneRandom: 78, GiftNameMythChest: 78},
				79:  {GiftNameGem: 7900, GiftNameGold: 790000, GiftNameStoneRandom: 79, GiftNameMythChest: 79},
				80:  {GiftNameGem: 8000, GiftNameGold: 800000, GiftNameStoneRandom: 80, GiftNameMythChest: 80},
				81:  {GiftNameGem: 8100, GiftNameGold: 810000, GiftNameStoneRandom: 81, GiftNameMythChest: 81},
				82:  {GiftNameGem: 8200, GiftNameGold: 820000, GiftNameStoneRandom: 82, GiftNameMythChest: 82},
				83:  {GiftNameGem: 8300, GiftNameGold: 830000, GiftNameStoneRandom: 83, GiftNameMythChest: 83},
				84:  {GiftNameGem: 8400, GiftNameGold: 840000, GiftNameStoneRandom: 84, GiftNameMythChest: 84},
				85:  {GiftNameGem: 8500, GiftNameGold: 850000, GiftNameStoneRandom: 85, GiftNameMythChest: 85},
				86:  {GiftNameGem: 8600, GiftNameGold: 860000, GiftNameStoneRandom: 86, GiftNameMythChest: 86},
				87:  {GiftNameGem: 8700, GiftNameGold: 870000, GiftNameStoneRandom: 87, GiftNameMythChest: 87},
				88:  {GiftNameGem: 8800, GiftNameGold: 880000, GiftNameStoneRandom: 88, GiftNameMythChest: 88},
				89:  {GiftNameGem: 8900, GiftNameGold: 890000, GiftNameStoneRandom: 89, GiftNameMythChest: 89},
				90:  {GiftNameGem: 9000, GiftNameGold: 900000, GiftNameStoneRandom: 90, GiftNameMythChest: 90},
				91:  {GiftNameGem: 9100, GiftNameGold: 910000, GiftNameStoneRandom: 91, GiftNameMythChest: 91},
				92:  {GiftNameGem: 9200, GiftNameGold: 920000, GiftNameStoneRandom: 92, GiftNameMythChest: 92},
				93:  {GiftNameGem: 9300, GiftNameGold: 930000, GiftNameStoneRandom: 93, GiftNameMythChest: 93},
				94:  {GiftNameGem: 9400, GiftNameGold: 940000, GiftNameStoneRandom: 94, GiftNameMythChest: 94},
				95:  {GiftNameGem: 9500, GiftNameGold: 950000, GiftNameStoneRandom: 95, GiftNameMythChest: 95},
				96:  {GiftNameGem: 9600, GiftNameGold: 960000, GiftNameStoneRandom: 96, GiftNameMythChest: 96},
				97:  {GiftNameGem: 9700, GiftNameGold: 970000, GiftNameStoneRandom: 97, GiftNameMythChest: 97},
				98:  {GiftNameGem: 9800, GiftNameGold: 980000, GiftNameStoneRandom: 98, GiftNameMythChest: 98},
				99:  {GiftNameGem: 9900, GiftNameGold: 990000, GiftNameStoneRandom: 99, GiftNameMythChest: 99},
				100: {GiftNameGem: 10000, GiftNameGold: 1000000, GiftNameStoneRandom: 100, GiftNameMythChest: 100}},
			DailySalesPrice: map[int64]int64{
				1: 30, 2: 50, 3: 80, 4: 120, 5: 200, 6: 250},
			DailySalesReward: map[int64]map[int64]int64{
				1: {GiftNameRevivalCoin: 1},
				2: {GiftNameDesignRandom: 7},
				3: {GiftNameStoneRandom: 2},
				4: {GiftNamePetPieceRandom: 3},
				5: {GiftNameTechPartBetterRandom: 1},
				6: {GiftNameEquipmentBetterRandom: 1}},
			AdsRareChestNewDay: 1,
			AdsMythChestNewDay: 1,
			RareChestPrice:     80,
			MythChestPrice:     300,
			Myth10ChestPrice:   2680,
			CountMythChest:     10,
			CountMythSChest:    50,
			CountMythSSChest:   100,
			GemPacksPrice: map[int64]int64{
				1: 0, 2: 0, 3: 0, 4: 1, 5: 5, 6: 10, 7: 20, 8: 50, 9: 100},
			GemPacksReward: map[int64]int64{
				1: 30, 2: 30, 3: 30, 4: 100, 5: 625, 6: 1500, 7: 3500, 8: 10000, 9: 22500},
			GoldPacksPrice: map[int64]int64{
				1: 0, 2: 0, 3: 30, 4: 90, 5: 288},
			GoldPacksReward: map[int64]int64{
				1: 2, 2: 2, 3: 2, 4: 6, 5: 24},
			EnergyPacksPrice: map[int64]int64{
				1: 0, 2: 0, 3: 0, 4: 100},
			EnergyPacksReward: map[int64]int64{
				1: 5, 2: 5, 3: 5, 4: 20},
		},
		CFDiscount: &CFDiscount{
			DailyPrice: map[int64]int64{
				1: 0, 2: 2, 3: 2, 4: 5, 5: 10, 6: 10},
			DailyReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 10, GiftNameGoldPatrol: 1, GiftNameRevivalCoin: 1},
				2: {GiftNameGem: 200, GiftNameStoneRandom: 2, GiftNameDesignRandom: 10},
				3: {GiftNameGem: 200, GiftNamePetPieceRandom: 2, GiftNameDesignRandom: 10},
				4: {GiftNameGem: 625, GiftNameRareChest: 1, GiftNameDesignRandom: 25},
				5: {GiftNameGem: 1500, GiftNameMythChest: 1, GiftNameStoneRandom: 15},
				6: {GiftNameGem: 1500, GiftNameMythChest: 1, GiftNamePetPieceRandom: 15}},
			DailyBonus: map[int64]int64{
				1: 100, 2: 200, 3: 300},
			WeeklyPrice: map[int64]int64{
				1: 0, 2: 5, 3: 5, 4: 10, 5: 10, 6: 20},
			WeeklyReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 50, GiftNameGoldPatrol: 5, GiftNameRevivalCoin: 5},
				2: {GiftNameGem: 625, GiftNameStoneRandom: 10, GiftNameTechPartGoodRandom: 1},
				3: {GiftNameGem: 625, GiftNamePetPieceRandom: 10, GiftNameTechPartGoodRandom: 1},
				4: {GiftNameGem: 1500, GiftNameStoneRandom: 20, GiftNameTechPartBetterRandom: 1},
				5: {GiftNameGem: 1500, GiftNamePetPieceRandom: 20, GiftNameTechPartBetterRandom: 1},
				6: {GiftNameGem: 3500, GiftNameMythChest: 10, GiftNameTechPartExcellentRandom: 1}},
			WeeklyBonus: map[int64]int64{
				1: 250, 2: 500, 3: 750},
			MonthlyPrice: map[int64]int64{
				1: 0, 2: 20, 3: 30, 4: 50, 5: 50, 6: 100},
			MonthlyReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 100, GiftNameGoldPatrol: 10, GiftNameRevivalCoin: 10},
				2: {GiftNameGem: 3500, GiftNameMythChest: 15, GiftNameTechPartExcellentRandom: 1},
				3: {GiftNameGem: 5500, GiftNameMythChest: 25, GiftNameTechPartExcellentRandom: 1},
				4: {GiftNameGem: 10000, GiftNameStoneRandom: 120, GiftNameTechPartEpicRandom: 1},
				5: {GiftNameGem: 10000, GiftNamePetPieceRandom: 120, GiftNameTechPartEpicRandom: 1},
				6: {GiftNameGem: 22500, GiftNameTechPartLegendaryRandom: 1, GiftNameEquipmentLegendaryRandom: 1}},
			MonthlyBonus: map[int64]int64{
				1: 500, 2: 1000, 3: 1500},
		},
		CFMonthlyCard: &CFMonthlyCard{
			NormalPrice:                 5,
			NormalPurchaseReward:        500,
			NormalDailyReward:           100,
			NormalIncreasePatrolEarning: 5,
			NormalIncreaseQuickPatrol:   1,
			NormalIncreaseMaxEnergy:     0,
			SuperPrice:                  10,
			SuperPurchaseReward:         1200,
			SuperDailyReward:            200,
			SuperIncreasePatrolEarning:  10,
			SuperIncreaseQuickPatrol:    3,
			SuperIncreaseMaxEnergy:      20,
		},
		CFBattlePass: &CFBattlePass{
			TargetPoint: map[int64]int64{
				1: 100, 2: 200, 3: 300, 4: 400, 5: 500, 6: 600, 7: 700, 8: 800, 9: 900, 10: 1000,
				11: 1100, 12: 1200, 13: 1300, 14: 1400, 15: 1500, 16: 1600, 17: 1700, 18: 1800, 19: 1900, 20: 2000},
			NormalPrice: 5,
			SuperPrice:  10,
			FreeReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 30}, 2: {GiftNameGem: 30}, 3: {GiftNameGem: 30}, 4: {GiftNameGem: 30}, 5: {GiftNameGem: 50}, 6: {GiftNameGem: 30}, 7: {GiftNameGem: 30}, 8: {GiftNameGem: 30}, 9: {GiftNameGem: 30}, 10: {GiftNameGem: 50}, 11: {GiftNameGem: 30}, 12: {GiftNameGem: 30}, 13: {GiftNameGem: 30}, 14: {GiftNameGem: 30}, 15: {GiftNameGem: 50}, 16: {GiftNameGem: 30}, 17: {GiftNameGem: 30}, 18: {GiftNameGem: 30}, 19: {GiftNameGem: 30}, 20: {GiftNameGem: 100}},
			NormalReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 150}, 2: {GiftNameGem: 150}, 3: {GiftNameGem: 150}, 4: {GiftNameGem: 150}, 5: {GiftNameGem: 250}, 6: {GiftNameGem: 150}, 7: {GiftNameGem: 150}, 8: {GiftNameGem: 150}, 9: {GiftNameGem: 150}, 10: {GiftNameGem: 250}, 11: {GiftNameGem: 150}, 12: {GiftNameGem: 150}, 13: {GiftNameGem: 150}, 14: {GiftNameGem: 150}, 15: {GiftNameGem: 250}, 16: {GiftNameGem: 150}, 17: {GiftNameGem: 150}, 18: {GiftNameGem: 150}, 19: {GiftNameGem: 150}, 20: {GiftNameGem: 500}},
			SuperReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 300}, 2: {GiftNameGem: 300}, 3: {GiftNameGem: 300}, 4: {GiftNameGem: 300}, 5: {GiftNameGem: 500}, 6: {GiftNameGem: 300}, 7: {GiftNameGem: 300}, 8: {GiftNameGem: 300}, 9: {GiftNameGem: 300}, 10: {GiftNameGem: 500}, 11: {GiftNameGem: 300}, 12: {GiftNameGem: 300}, 13: {GiftNameGem: 300}, 14: {GiftNameGem: 300}, 15: {GiftNameGem: 500}, 16: {GiftNameGem: 300}, 17: {GiftNameGem: 300}, 18: {GiftNameGem: 300}, 19: {GiftNameGem: 300}, 20: {GiftNameGem: 1000}},
		},
		CFLevelPass1: &CFLevelPass{
			TargetLevel: map[int64]int64{
				1: 5, 2: 10, 3: 15, 4: 20, 5: 25, 6: 30, 7: 35, 8: 40, 9: 45, 10: 50},
			NormalPrice: 10,
			SuperPrice:  20,
			FreeReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 50}, 2: {GiftNameGem: 50}, 3: {GiftNameGem: 50}, 4: {GiftNameGem: 50}, 5: {GiftNameGem: 50}, 6: {GiftNameGem: 100}, 7: {GiftNameGem: 100}, 8: {GiftNameGem: 100}, 9: {GiftNameGem: 100}, 10: {GiftNameGem: 100}},
			NormalReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 500}, 2: {GiftNameGem: 500}, 3: {GiftNameGem: 500}, 4: {GiftNameGem: 500}, 5: {GiftNameGem: 500}, 6: {GiftNameGem: 1000}, 7: {GiftNameGem: 1000}, 8: {GiftNameGem: 1000}, 9: {GiftNameGem: 1000}, 10: {GiftNameGem: 1000}},
			SuperReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 1000}, 2: {GiftNameGem: 1000}, 3: {GiftNameGem: 1000}, 4: {GiftNameGem: 1000}, 5: {GiftNameGem: 1000}, 6: {GiftNameGem: 2000}, 7: {GiftNameGem: 2000}, 8: {GiftNameGem: 2000}, 9: {GiftNameGem: 2000}, 10: {GiftNameGem: 2000}},
		},
		CFLevelPass2: &CFLevelPass{
			TargetLevel: map[int64]int64{
				1: 55, 2: 60, 3: 65, 4: 70, 5: 75, 6: 80, 7: 85, 8: 90, 9: 95, 10: 100},
			NormalPrice: 20,
			SuperPrice:  40,
			FreeReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 150}, 2: {GiftNameGem: 150}, 3: {GiftNameGem: 150}, 4: {GiftNameGem: 150}, 5: {GiftNameGem: 150}, 6: {GiftNameGem: 200}, 7: {GiftNameGem: 200}, 8: {GiftNameGem: 200}, 9: {GiftNameGem: 200}, 10: {GiftNameGem: 200}},
			NormalReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 1500}, 2: {GiftNameGem: 1500}, 3: {GiftNameGem: 1500}, 4: {GiftNameGem: 1500}, 5: {GiftNameGem: 1500}, 6: {GiftNameGem: 2000}, 7: {GiftNameGem: 2000}, 8: {GiftNameGem: 2000}, 9: {GiftNameGem: 2000}, 10: {GiftNameGem: 2000}},
			SuperReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 3000}, 2: {GiftNameGem: 3000}, 3: {GiftNameGem: 3000}, 4: {GiftNameGem: 3000}, 5: {GiftNameGem: 3000}, 6: {GiftNameGem: 4000}, 7: {GiftNameGem: 4000}, 8: {GiftNameGem: 4000}, 9: {GiftNameGem: 4000}, 10: {GiftNameGem: 4000}},
		},
		CFCampaignPass: &CFCampaignPass{
			TargetLevel: map[int64]int64{
				1: 10, 2: 20, 3: 30, 4: 40, 5: 50, 6: 60, 7: 70, 8: 80, 9: 90, 10: 100},
			NormalPrice: 10,
			SuperPrice:  20,
			FreeReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 150}, 2: {GiftNameGem: 150}, 3: {GiftNameGem: 150}, 4: {GiftNameGem: 150}, 5: {GiftNameGem: 150}, 6: {GiftNameGem: 200}, 7: {GiftNameGem: 200}, 8: {GiftNameGem: 200}, 9: {GiftNameGem: 200}, 10: {GiftNameGem: 200}},
			NormalReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 1500}, 2: {GiftNameGem: 1500}, 3: {GiftNameGem: 1500}, 4: {GiftNameGem: 1500}, 5: {GiftNameGem: 1500}, 6: {GiftNameGem: 2000}, 7: {GiftNameGem: 2000}, 8: {GiftNameGem: 2000}, 9: {GiftNameGem: 2000}, 10: {GiftNameGem: 2000}},
			SuperReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 3000}, 2: {GiftNameGem: 3000}, 3: {GiftNameGem: 3000}, 4: {GiftNameGem: 3000}, 5: {GiftNameGem: 3000}, 6: {GiftNameGem: 4000}, 7: {GiftNameGem: 4000}, 8: {GiftNameGem: 4000}, 9: {GiftNameGem: 4000}, 10: {GiftNameGem: 4000}},
		},
		CFDungeonPass: &CFDungeonPass{
			TargetLevel: map[int64]int64{
				1: 10, 2: 20, 3: 30, 4: 40, 5: 50, 6: 60, 7: 70, 8: 80, 9: 90, 10: 100},
			HardPrice:  20,
			CrazyPrice: 40,
			NormalReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 150}, 2: {GiftNameGem: 150}, 3: {GiftNameGem: 150}, 4: {GiftNameGem: 150}, 5: {GiftNameGem: 150}, 6: {GiftNameGem: 200}, 7: {GiftNameGem: 200}, 8: {GiftNameGem: 200}, 9: {GiftNameGem: 200}, 10: {GiftNameGem: 200}},
			HardReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 1500}, 2: {GiftNameGem: 1500}, 3: {GiftNameGem: 1500}, 4: {GiftNameGem: 1500}, 5: {GiftNameGem: 1500}, 6: {GiftNameGem: 2000}, 7: {GiftNameGem: 2000}, 8: {GiftNameGem: 2000}, 9: {GiftNameGem: 2000}, 10: {GiftNameGem: 2000}},
			CrazyReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 3000}, 2: {GiftNameGem: 3000}, 3: {GiftNameGem: 3000}, 4: {GiftNameGem: 3000}, 5: {GiftNameGem: 3000}, 6: {GiftNameGem: 4000}, 7: {GiftNameGem: 4000}, 8: {GiftNameGem: 4000}, 9: {GiftNameGem: 4000}, 10: {GiftNameGem: 4000}},
		},
		CFGoldPiggy: &CFGoldPiggy{
			Price:     map[int64]int64{1: 1, 2: 5, 3: 10, 4: 20, 5: 50},
			RewardMin: map[int64]int64{1: 200, 2: 1250, 3: 3000, 4: 7000, 5: 20000},
			RewardMax: map[int64]int64{1: 500, 2: 3125, 3: 7500, 4: 17500, 5: 50000},
		},
		CFEventNewYear: &CFEventNewYear{
			QuestTarget: map[int64]map[int64]int64{
				EventNewYearQuestLogin: {
					1: 1, 2: 2, 3: 3, 4: 4, 5: 5, 6: 6, 7: 7, 8: 8, 9: 9, 10: 0},
				EventNewYearQuestPlayCampaign: {
					1: 2, 2: 5, 3: 10, 4: 20, 5: 30, 6: 40, 7: 50, 8: 70, 9: 100, 10: 150},
				EventNewYearQuestPlayBossMode: {
					1: 2, 2: 5, 3: 10, 4: 20, 5: 30, 6: 40, 7: 50, 8: 70, 9: 100, 10: 150},
				EventNewYearQuestPlayDungeon: {
					1: 2, 2: 5, 3: 10, 4: 20, 5: 30, 6: 40, 7: 50, 8: 70, 9: 100, 10: 150},
				EventNewYearQuestQuickPatrol: {
					1: 2, 2: 5, 3: 10, 4: 20, 5: 30, 6: 40, 7: 50, 8: 70, 9: 100, 10: 150},
				EventNewYearQuestOpenChest: {
					1: 2, 2: 5, 3: 10, 4: 20, 5: 30, 6: 40, 7: 50, 8: 70, 9: 100, 10: 150},
				EventNewYearQuestKillEnemies: {
					1: 20000, 2: 50000, 3: 100000, 4: 200000, 5: 300000, 6: 400000, 7: 500000, 8: 700000, 9: 1000000, 10: 1500000},
			},
			QuestReward: map[int64]map[int64]map[int64]int64{
				EventNewYearQuestLogin: {
					1:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					2:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					3:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					4:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					5:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					6:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					7:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					8:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					9:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					10: {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2}},
				EventNewYearQuestPlayCampaign: {
					1:  {GiftNameEventNewYearCoin: 20, GiftNameEventNewYearTicket: 2},
					2:  {GiftNameEventNewYearCoin: 30, GiftNameEventNewYearTicket: 2},
					3:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					4:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					5:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					6:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					7:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					8:  {GiftNameEventNewYearCoin: 200, GiftNameEventNewYearTicket: 2},
					9:  {GiftNameEventNewYearCoin: 300, GiftNameEventNewYearTicket: 2},
					10: {GiftNameEventNewYearCoin: 500, GiftNameEventNewYearTicket: 2}},
				EventNewYearQuestPlayBossMode: {
					1:  {GiftNameEventNewYearCoin: 20, GiftNameEventNewYearTicket: 2},
					2:  {GiftNameEventNewYearCoin: 30, GiftNameEventNewYearTicket: 2},
					3:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					4:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					5:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					6:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					7:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					8:  {GiftNameEventNewYearCoin: 200, GiftNameEventNewYearTicket: 2},
					9:  {GiftNameEventNewYearCoin: 300, GiftNameEventNewYearTicket: 2},
					10: {GiftNameEventNewYearCoin: 500, GiftNameEventNewYearTicket: 2}},
				EventNewYearQuestPlayDungeon: {
					1:  {GiftNameEventNewYearCoin: 20, GiftNameEventNewYearTicket: 2},
					2:  {GiftNameEventNewYearCoin: 30, GiftNameEventNewYearTicket: 2},
					3:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					4:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					5:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					6:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					7:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					8:  {GiftNameEventNewYearCoin: 200, GiftNameEventNewYearTicket: 2},
					9:  {GiftNameEventNewYearCoin: 300, GiftNameEventNewYearTicket: 2},
					10: {GiftNameEventNewYearCoin: 500, GiftNameEventNewYearTicket: 2}},
				EventNewYearQuestQuickPatrol: {
					1:  {GiftNameEventNewYearCoin: 20, GiftNameEventNewYearTicket: 2},
					2:  {GiftNameEventNewYearCoin: 30, GiftNameEventNewYearTicket: 2},
					3:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					4:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					5:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					6:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					7:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					8:  {GiftNameEventNewYearCoin: 200, GiftNameEventNewYearTicket: 2},
					9:  {GiftNameEventNewYearCoin: 300, GiftNameEventNewYearTicket: 2},
					10: {GiftNameEventNewYearCoin: 500, GiftNameEventNewYearTicket: 2}},
				EventNewYearQuestOpenChest: {
					1:  {GiftNameEventNewYearCoin: 20, GiftNameEventNewYearTicket: 2},
					2:  {GiftNameEventNewYearCoin: 30, GiftNameEventNewYearTicket: 2},
					3:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					4:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					5:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					6:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					7:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					8:  {GiftNameEventNewYearCoin: 200, GiftNameEventNewYearTicket: 2},
					9:  {GiftNameEventNewYearCoin: 300, GiftNameEventNewYearTicket: 2},
					10: {GiftNameEventNewYearCoin: 500, GiftNameEventNewYearTicket: 2}},
				EventNewYearQuestKillEnemies: {
					1:  {GiftNameEventNewYearCoin: 20, GiftNameEventNewYearTicket: 2},
					2:  {GiftNameEventNewYearCoin: 30, GiftNameEventNewYearTicket: 2},
					3:  {GiftNameEventNewYearCoin: 50, GiftNameEventNewYearTicket: 2},
					4:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					5:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					6:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					7:  {GiftNameEventNewYearCoin: 100, GiftNameEventNewYearTicket: 2},
					8:  {GiftNameEventNewYearCoin: 200, GiftNameEventNewYearTicket: 2},
					9:  {GiftNameEventNewYearCoin: 300, GiftNameEventNewYearTicket: 2},
					10: {GiftNameEventNewYearCoin: 500, GiftNameEventNewYearTicket: 2}},
			},
			DiscountPrice: map[int64]int64{
				1: 0, 2: 2, 3: 5, 4: 10, 5: 20, 6: 50},
			DiscountReward: map[int64]map[int64]int64{
				1: {GiftNameGem: 20, GiftNameEventNewYearCoin: 10, GiftNameRareChest: 1},
				2: {GiftNameGem: 200, GiftNameEventNewYearCoin: 200, GiftNameEventNewYearTicket: 4, GiftNameMythChest: 2},
				3: {GiftNameGem: 625, GiftNameEventNewYearCoin: 625, GiftNameEventNewYearTicket: 10, GiftNameMythChest: 5},
				4: {GiftNameGem: 1500, GiftNameEventNewYearCoin: 1500, GiftNameEventNewYearTicket: 20, GiftNameMythChest: 10, GiftNameRevivalCoin: 10},
				5: {GiftNameGem: 3500, GiftNameEventNewYearCoin: 3500, GiftNameEventNewYearTicket: 40, GiftNameMythChest: 20, GiftNameTechPartExcellentRandom: 1},
				6: {GiftNameGem: 10000, GiftNameEventNewYearCoin: 10000, GiftNameEventNewYearTicket: 100, GiftNameMythChest: 50, GiftNameEquipmentSExcellentRandom: 10}},
			LotteryReward: map[int64]map[int64]int64{
				1: {GiftNameGold: 1000}, 2: {GiftNameGold: 2000}, 3: {GiftNameGold: 3000}, 4: {GiftNameGold: 4000}, 5: {GiftNameGold: 5000},
				6: {GiftNameDesignRandom: 1}, 7: {GiftNameDesignRandom: 2}, 8: {GiftNameDesignRandom: 3}, 9: {GiftNameDesignRandom: 4}, 10: {GiftNameDesignRandom: 5},
				11: {GiftNameStoneRandom: 1}, 12: {GiftNameStoneRandom: 1}, 13: {GiftNameStoneRandom: 2}, 14: {GiftNameRevivalCoin: 1}, 15: {GiftNameRevivalCoin: 1},
				16: {GiftNamePetPieceRandom: 1}, 17: {GiftNamePetPieceRandom: 1}, 18: {GiftNamePetPieceRandom: 2}, 19: {GiftNameEquipmentNormalRandom: 1}, 20: {GiftNameTechPartNormalRandom: 1},
				21: {GiftNameGem: 10}, 22: {GiftNameGem: 20}, 23: {GiftNameGem: 30}, 24: {GiftNameGem: 40}, 25: {GiftNameGem: 50}},
			LotteryBonus: map[int64]map[int64]int64{
				1: {GiftNameEquipmentSExcellentRandom: 1}, 2: {GiftNameEquipmentSExcellentRandom: 1}, 3: {GiftNameEquipmentSExcellentRandom: 1},
				4: {GiftNameTechPartExcellentRandom: 1}, 5: {GiftNameTechPartExcellentRandom: 1}, 6: {GiftNameEquipmentExcellentRandom: 1}, 7: {GiftNameEquipmentExcellentRandom: 1},
				8: {GiftNameGem: 500}, 9: {GiftNameGem: 1000}, 10: {GiftNameGold: 20000}, 11: {GiftNameGold: 30000}, 12: {GiftNameGold: 50000}},
			ExchangePrice: map[int64]int64{
				1: 5000, 2: 2680, 3: 2680, 4: 300, 5: 80, 6: 50, 7: 50, 8: 10, 9: 10, 10: 50},
			ExchangeReward: map[int64]map[int64]int64{
				1: {GiftNameEquipmentSExcellentRandom: 1}, 2: {GiftNameEquipmentExcellentRandom: 1}, 3: {GiftNameTechPartExcellentRandom: 1},
				4: {GiftNameMythChest: 1}, 5: {GiftNameRareChest: 1}, 6: {GiftNameStoneRandom: 1}, 7: {GiftNamePetPieceRandom: 1},
				8: {GiftNameDesignRandom: 1}, 9: {GiftNameTechUsedRandom: 1}, 10: {GiftNameRevivalCoin: 1}},
			ExchangeLimit: map[int64]int64{
				1: 10, 2: 10, 3: 10, 4: 50, 5: 50, 6: 100, 7: 100, 8: 100, 9: 100, 10: 100},
		},
		CFEventValentine:    nil,
		CFEventAprilFool:    nil,
		CFEventChildrenDay:  nil,
		CFEventAutumnLeaves: nil,
		CFEventHalloween:    nil,
		CFEventChristmas:    nil,
		CFEventWorldCup:     nil,
	}
	USERConfig.Id = fmt.Sprintf("%+v", USERConfig.Version)
}
